<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 15/12/2020
 * Time: 01:23
 */

namespace App\Admin\Dashboard\Http\Controllers;


use App\Admin\Dashboard\Http\Requests\CreateModerationAutoResponseRequest;
use App\Admin\Dashboard\Models\Moderation\ModerationResponse;
use App\Auth\Models\UserType;
use App\Core\Http\Controllers\CoreController;

class ModerarAutoResponderController extends CoreController
{

    public function index()
    {
        // lista de respostas
        $moderations = ModerationResponse::orderBy('id', 'DESC')->paginate(10);
        $userTypes = UserType::all();
        return view('admin::moderarauto.index', compact('userTypes'), compact('moderations'));

    }

    public function store(CreateModerationAutoResponseRequest $request)
    {

        $dados = $request->all();

        $moderationResponse = ModerationResponse::create($dados);

        return redirect()->route('admin.config.moderar.index')->with('message', 'Resposta criada com sucesso!');

    }

    public function delete($id)
    {

        $moderationResponse = ModerationResponse::findOrFail($id);
        $moderationResponse->destroy($id);

        return ['success' => true];
    }

    public function toggleUserType($userTypeId)
    {
        $userType = UserType::findOrFail($userTypeId);
        $userType->create_status = ($userType->create_status === 3) ? 1 : 3;
        $userType->save();
        return [
            'success' => true,
            'data' => $userType
        ];

    }
}