<?php

namespace App\Admin\Dashboard\Models\CarQuery;

use Illuminate\Database\Eloquent\Model;
use App\Admin\Dashboard\Models\Order\Order;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="CarQuery"))
 */
class CarQuery extends Model
{
    protected $fillable = [
        'order_id', 'user_id', 'license_plate', 'response', 'local_pdf', 'product_id'
    ];

    /**
    * @var object
    * @SWG\Property()
    */
    private $order;

    /**
    * @var string
    * @SWG\Property()
    */
    private $license_plate;

    /**
     * @var string
     * @SWG\Property()
     */
    private $response;

    public function order()
    {
    	return $this->hasOne( Order::class, 'id', 'order_id' );
    }
}
