<?php

namespace App\Admin\Dashboard\Models\Plan;

use App\Auth\Models\User;
use Illuminate\Database\Eloquent\Model;
use App\Admin\Dashboard\Models\Store\Store;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="Plan"))
 */
class Plan extends Model
{
    protected $fillable = [
        'title', 'slug', 'price', 'trial_period', 'transaction_price', 'qty_turbos', 'qty_car_queries', 'qty_transactions', 'status'
    ];

    /**
    * @var string
    * @SWG\Property()
    */
    private $title;

    /**
     * @var string
     * @SWG\Property()
     */
    private $slug;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $price;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $trial_period;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $transaction_price;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $qty_turbos;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $qty_car_queries;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $qty_transactions;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $status;

    public function stores()
    {
        return $this->belongsToMany( Store::class, 'plan_store' );
    }
}
