<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 07/05/2018
 * Time: 14:31
 */

namespace App\Admin\Dashboard\Models;


use Illuminate\Database\Eloquent\Model;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="Product"))
 */
class Product extends Model
{

    protected $table = 'products';

    protected $fillable = ['type_id', 'name', 'description', 'price', 'options'];

    protected $casts = [
        'options' => 'array'
    ];


    /**
     * @var integer
     * @SWG\Property()
     */
    private $id;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $type_id;

    /**
     * @var string
     * @SWG\Property()
     */
    private $name;

    /**
     * @var string
     * @SWG\Property()
     */
    private $description;


    public function type()
    {
        return $this->hasOne(ProductType::class, 'type_id');
    }

}