<?php

namespace App\Admin\Dashboard\Models;

use App\Admin\Dashboard\Models\Car;
use App\Auth\Models\User;
use Illuminate\Database\Eloquent\Model;
use App\Admin\Dashboard\Models\MessagePool;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="Room"))
 */
class Room extends Model
{

    /**
     * @var integer
     * @SWG\Property()
     */
    private $room_id;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $badge;

    /**
     * @var double
     * @SWG\Property()
     */
    private $bid;

    /**
     * @var object
     * @SWG\Property(type="object",
     *     @SWG\Property(property="id", type="integer"),
     *     @SWG\Property(property="name", type="string"),
     *     @SWG\Property(property="phone", type="string"),
     *     @SWG\Property(property="cell_phone", type="string"),
     *     @SWG\Property(property="photo", type="string"))
     */
    private $purchaser;



    protected $table = 'rooms';

    protected $fillable = ['comprador_id', 'car_id', 'bid'];

    public function comprador() {
        return $this->belongsTo(User::class, 'comprador_id');
    }

    public function anuncio() {
        return $this->belongsTo(Car::class, 'car_id');
    }

    public function messages()
    {
    	return $this->hasMany( MessagePool::class, 'room_id' );
    }

    public function badges($user_id)
    {
        return $this->messages()->where('msg_type', 1)->where('receiver_id', $user_id)->where('status', 0)->count();
    }
}
