<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 07/02/2019
 * Time: 11:54
 */

namespace App\Admin\Dashboard\Models\Voucher;


use App\Admin\Dashboard\Models\Product;
use Illuminate\Database\Eloquent\Model;

class Voucher extends Model
{
    protected $table = 'vouchers';

    protected $fillable = ['code', 'product_id', 'status'];


    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function getSituacaoAttribute()
    {
        $situacao = '';
        switch ($this->status) {
            case 0:
                $situacao = 'Cancelado';
                break;
            case 1:
                $situacao = 'Ativo';
                break;
            case 2:
                $situacao = 'Utilizado';
                break;
            default:
                $situacao = 'Não informado';
                break;
        }

        return $situacao;
    }

    public function historic()
    {
        return $this->hasOne(HistoricVoucher::class);
    }
}