@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div id="relAnuncio" class="col-xs-12 section-content">
            <div class="row">
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active"><a href="#anuncio" aria-controls="home" role="tab"
                                                              data-toggle="tab">Anúncio</a></li>
                    <li role="presentation"><a href="#interessados" aria-controls="profile" role="tab"
                                               data-toggle="tab">Negociações <span
                                    class="fa fa-commenting"></span> {{count($interessados)}} <span
                                    class="fa fa-phone"></span> {{count($ligacoes)}} </a></li>
                    <li role="presentation"><a href="#edits" aria-controls="profile" role="tab" data-toggle="tab">Edições
                            ({{count($edits)}})</a></li>
                    <li role="presentation"><a href="#denuncias" aria-controls="messages" role="tab" data-toggle="tab">Denúncias
                            ({{count($denuncias)}})</a></li>
                    <li role="presentation"><a href="#publish" aria-controls="profile" role="tab" data-toggle="tab">Pedidos
                            ({{$pedidos->count()}}) / Publicações ({{count($car->pushes)}})</a></li>
                    <li role="presentation" class="dropdown">
                        <a id="dLabel" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Ações
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="{{route('admin.car.edit', $anuncio->id)}}"><i class="fa fa-pencil"></i> Editar
                                    Anúncio</a>
                            </li>
                            @if($anuncio->published_at <= 0)
                                <li>
                                    <a id="btnPublicar"><i class="fa fa-arrow-up"></i> Publicar Anúncio</a>
                                </li>
                            @else
                                <li>
                                    <a data-id="{{$anuncio->id}}" id="btnAprovar"><i class="fa fa-check"></i> Aprovar
                                        Edição</a>
                                </li>
                            @endif
                            <li data-toggle="modal" data-target="#modalModerar" data-action="suspender"><a href="#"><i
                                            class="fa fa-pause"></i> Suspender Anúncio</a></li>
                            <li data-toggle="modal" data-target="#modalModerar" data-action="bloquear"><a href="#"><i
                                            class="fa fa-ban"></i> Bloquear Anúncio</a></li>
                            <li><a id="btnBloquearUsuario"><i class="fa fa-user-times"></i> Bloquear Usuário</a></li>
                            <li><a id="btnReativarAnuncio"><i class="fa fa-undo"></i> Reativar anúncio</a></li>
                            <li data-toggle="modal" data-target="#modalPatrocinar"><a id="btnPatrocinarAnuncio"
                                                                                      data-action="patrocinar"
                                                                                      data-id="{{$anuncio->id}}"><i
                                            class="fa fa-paper-plane"></i> Patrocinar</a></li>
                        </ul>
                    </li>
                </ul>

                <div id="rla-content" class="col-xs-12 tab-content">
                    @if($anuncio !== null)
                        <div role="tabpanel" class="tab-pane active" id="anuncio">
                            <h3>Visualizando Anúncio</h3>
                            <h5>
                                <span data-toggle="tooltip" data-placement="bottom" title="{{$anuncio->reason}}"
                                      class="car-status status-{{$anuncio->car_status->name}}">{{$anuncio->car_status->name}}</span>
                                @if($anuncio->car_status_id === 9)
                                    <span class="car-status status-TURBINADO">TURBINADO</span>
                                @endif
                                @if($anuncio->site_only)
                                    <span data-toggle="tooltip" data-placement="bottom"
                                          title="Oferta exclusiva do site do cliente. Este anúncio não aparece na plataforma e não pode ser turbinado">OFERTA EXCLUSIVA DO SITE</span>
                                @endif
                            </h5>

                            @if($pedidos)
                                @foreach($pedidos as $pedido)
                                    @if ($pedido->delayed_schedule)
                                        <div class="alert alert-info">
                                            <strong>Atenção: </strong> Anúncio turbinado e pago pendente de aprovação
                                        </div>
                                    @endif
                                @endforeach
                            @endif

                            @if($car->car_status_id == 5)
                                @if($car->moderator)
                                    @foreach($car->moderator as $mods)
                                        <div class="alert alert-warning">
                                            Anúncio enviado automaticamente a moderação em:
                                            <strong>{{$mods->created_at->format('d/m/Y H:i:s')}}</strong>, motivos:
                                            <ul>
                                                @foreach($mods->reasons as $reason)
                                                    <li>
                                                        {{$reason['reason']}}
                                                        @if(!empty($reason['car_id']) )
                                                            <a target="_blank"
                                                               href="{{route('admin.report.anuncio', $reason['car_id'])}}">Ver
                                                                anúncio</a>
                                                        @endif
                                                    </li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    @endforeach
                                @endif
                            @endif
                            <div class="row" id="tblAnuncio">
                                <div class="col-sm-6 col-xs-12">
                                    <table>
                                        <tr>
                                            <td>Marca:</td>
                                            <td>{{$anuncio->brand->name}}</td>
                                        </tr>
                                        <tr>
                                            <td>Modelo:</td>
                                            <td>{{$anuncio->fipe->model}} ({{$anuncio->fipe->code}})</td>
                                        </tr>
                                        <tr>
                                            <td>Ano:</td>
                                            <td>{{$anuncio->fipe->year}}</td>
                                        </tr>
                                        <tr>
                                            <td>Cor:</td>
                                            <td>{{$anuncio->color->name}}</td>
                                        </tr>
                                        <tr>
                                            <td>Portas:</td>
                                            <td>{{$anuncio->doors}}</td>
                                        </tr>
                                        <tr>
                                            <td>Combustível:</td>
                                            <td>{{$anuncio->fipe->fuel}}</td>
                                        </tr>
                                        <tr>
                                            <td>Quilometragem:</td>
                                            <td>{{$anuncio->km}}</td>
                                        </tr>
                                        <tr>
                                            <td>Valor:</td>
                                            <td>
                                                <span class="preco">R$: {{number_format($anuncio->price, 2, ',', '.')}}</span>
                                                <span class="label label-danger">{{$anuncio->fipe_percent_off}}</span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Fipe:</td>
                                            <td>R$ {{number_format($anuncio->fipe_price, 2, ',', '.')}}</td>
                                        </tr>
                                        <tr>
                                            <td>Custo:</td>
                                            <td>
                                                R$ {{isset($anuncio->cost) ? number_format($anuncio->cost, 2, ',', '.') : 'Não informado'}}</td>
                                        </tr>
                                        <tr>
                                            <td>Data de cadastro:</td>
                                            <td>{{ ($anuncio->created_at <= 0) ? 'Não publicado' : date('d/m/Y H:i:s', strtotime($anuncio->created_at)) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Data da publicação:</td>
                                            <td>{{ ($anuncio->published_at <= 0) ? 'Não publicado' : date('d/m/Y H:i:s', strtotime($anuncio->published_at)) }}</td>
                                        </tr>
                                        @if($anuncio->car_status_id === 9)
                                            <tr>
                                                <td>Patrocinado até:</td>
                                                <td>{{($anuncio->boosted_until <= 0) ? 'Não patrocinado' : date('d/m/Y H:i:s', strtotime($anuncio->boosted_until))}}</td>
                                            </tr>
                                        @endif
                                        <tr>
                                            <td>Descrição:</td>
                                            <td><span class="preco">{{$anuncio->observation}}</span></td>
                                        </tr>
                                        <tr>
                                            <td>Opcionais:</td>
                                            <td>
                                                <ul class="list-inline">
                                                    @foreach($anuncio->optionals as $optional)
                                                        <li>{{$optional['name'] }}</li>
                                                    @endforeach
                                                </ul>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>DDD do anúncio:</td>
                                            <td>{{$anuncio->user_ddd}}</td>

                                        </tr>
                                        <tr>
                                            <td>Visível para:</td>
                                            <td>
                                                @if($anuncio->site_only)
                                                    <span>Site do cliente</span>
                                                @else
                                                    <ul class="list-inline">
                                                        @foreach($anuncio->visible_to as $publico)
                                                            <li>{{$publico->name}}</li>
                                                        @endforeach
                                                    </ul>
                                                @endif
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                <div class="col-sm-6 col-xs-12">
                                    <table>
                                        <tr>
                                            <td>Anunciante:</td>
                                            <td>
                                                ({{$anuncio->user->id}}) {{$anuncio->user->dealership}}
                                                ({{$anuncio->user->type['name']}})
                                                <a href="{{URL::route('admin.report.estoque', $anuncio->user->id)}}">Ver
                                                    Estoque</a>
                                                <a href="{{route('admin.user.edit', $anuncio->user->id)}}"
                                                   title="Editar usuário">Editar usuário</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Loja vinculada:</td>
                                            <td>
                                                @if($car->store)
                                                    ({{$car->store->id}}) {{$car->store->trade_name}} <a
                                                            href="{{route('admin.store.view', $car->store->id)}}"
                                                            target="_blank">Ver detalhes</a>
                                                @else
                                                    Sem loja vinculada!
                                                @endif
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Nome:</td>
                                            <td>{{$anuncio->user->name}}</td>
                                        </tr>
                                        <tr>
                                            <td>Documento:</td>
                                            <td>{{$anuncio->user->document}}</td>
                                        </tr>
                                        <tr>
                                            <td>Endereço:</td>
                                            <td>{{ $anuncio->user->address }}
                                                , {{ $anuncio->user->number }} {{$anuncio->user->neighborhood}} {{$anuncio->user->city}} {{$anuncio->user->state}}</td>
                                        </tr>
                                        <tr>
                                            <td>Telefone Fixo:</td>
                                            <td><a href="https://wa.me/55{{$anuncio->user->phone}}"
                                                   target="_blank">{{mascara_telefone($anuncio->user->phone)}}</a></td>
                                        </tr>
                                        <tr>
                                            <td>Telefone Celular:</td>
                                            <td><a href="https://wa.me/55{{$anuncio->user->cell_phone}}"
                                                   target="_blank">{{mascara_telefone($anuncio->user->cell_phone)}}</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Situação do usuário:</td>
                                            <td>
                                                <span class="preco">{{ ($anuncio->user->is_aprovado == 0) ? 'Bloqueado' : 'Ativo'  }}</span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Data de Cadastro</td>
                                            <td>{{date('d/m/Y H:i:s', strtotime($anuncio->user->created_at))}}</td>
                                        </tr>
                                        <tr>
                                            <td>Visto por último:</td>
                                            <td>{{($anuncio->user->last_seen <= 0) ? 'Não entrou no chat' : date('d/m/Y H:i:s', strtotime($anuncio->user->last_seen))}}</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-xs-12">
                                    @if( count($anuncio->photos)  === 0 )
                                        <p>Nenhuma foto foi enviada</p>
                                    @endif
                                    <ul class="list-inline" data-featherlight-gallery data-featherlight-filter="a">
                                        <li x-data="{
                                            generatePrint: async function() {
                                                let confirma = confirm('Deseja gerar um print deste anuncio?');
                                                if (confirma) {
                                                    await fetch('{{route('ajax.carphoto.print', ['car_id' => $anuncio->id])}}').then(res => res.json()).then(res => { location.reload() });
                                                }

                                            }
                                        }"
                                            class="anuncio-imagem"
                                            style="width: 200px; height: 150px; display: flex; justify-content: center; align-content: center;">
                                            @if($anuncio->sharefilename)
                                                <a href="{{url('/uploads/gallery/' . $anuncio->sharefilename)}}"
                                                   target="_blank">
                                                    <img
                                                            alt="Imagem de compartilhamento (não aparece no anúncio)"
                                                            width="150" height="150"
                                                            src="{{url('/uploads/gallery/' . $anuncio->sharefilename)}}"></a>
                                            @endif
                                            @if(!$anuncio->sharefilename && count($anuncio->photos)  >= 4 )
                                                <button x-on:click="generatePrint" class="btn btn-default">Gerar print</button>
                                            @endif
                                        </li>
                                        @foreach($anuncio->photos as $photo)
                                            <li class="anuncio-imagem" style=" width: 200px; height: 150px"><a
                                                        href="{{url('/uploads/gallery/original_' . $photo['filename'])}}"><img
                                                            src="{{url('/uploads/gallery/' . $photo['filename'])}}"
                                                            width="200" height="150"></a></li>
                                        @endforeach
                                    </ul>
                                </div>
                            </div>
                            @else
                                <h3>Anúncio não encontrado</h3>
                            @endif
                        </div>

                        <div role="tabpanel" class="tab-pane" id="interessados">
                            <div class="row">
                                <div class="col-sm-6 col-xs-12">
                                    <br>
                                    <div class="panel panel-default">
                                        <div class="panel-heading">Chat</div>
                                        @if(count($interessados)  == 0)
                                            <div class="panel-body">
                                                <p>Não há conversas</p>
                                            </div>
                                        @else
                                            <table class="table table-responsive table-condensed table-hover">
                                                <thead>
                                                <tr>
                                                    <th>Nome</th>
                                                    <th>Tipo</th>
                                                    <th>Data</th>
                                                    <th>Estoque</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($interessados as $interessado)
                                                    <tr>
                                                        <td>{{$interessado->nome}}</td>
                                                        <td>{{$interessado->tipo}}</td>
                                                        <td>{{$interessado->created_at->format('d/m/Y H:i:s')}}</td>
                                                        <td>
                                                            <a href="{{URL::route('admin.report.estoque', $interessado->id)}}">Ver</a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-sm-6 col-xs-12">
                                    <br>
                                    <div class="panel panel-default">
                                        <div class="panel-heading">Telefone</div>
                                        @if(count($ligacoes)  == 0)
                                            <div class="panel-body">
                                                <p>Não há ligações</p>
                                            </div>
                                        @else
                                            <table class="table table-responsive table-condensed table-hover">
                                                <thead>
                                                <tr>
                                                    <th>Nome</th>
                                                    <th>Tipo</th>
                                                    <th>Data</th>
                                                    <th>Estoque</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($ligacoes as $interessado)
                                                    <tr>
                                                        <td>{{$interessado->nome}}</td>
                                                        <td>{{$interessado->tipo}}</td>
                                                        <td>{{$interessado->created_at->format('d/m/Y H:i:s')}}</td>
                                                        <td>
                                                            <a href="{{URL::route('admin.report.estoque', $interessado->id)}}">Ver</a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div role="tabpanel" class="tab-pane" id="edits">
                            @if(isset($edits))
                                @if(count($edits) == 0 )
                                    <br>
                                    <p>Não há edições para este anúncio</p>
                                @else
                                    @foreach($edits as $e)
                                        <p><strong>Editado por</strong>: {{$e->name}}
                                            em {{ date('d/m/Y H:i:s', strtotime($e->created_at)) }}</p>
                                        <ul class="list-unstyled">
                                            @foreach($e->edits['changes'] as $a)
                                                @if($a['is_edited'])
                                                    <li><strong>Campo: {{$a['label']}}</strong> era:
                                                        <strong>{{$a['old']}}</strong> agora:
                                                        <strong>{{$a['new']}}</strong></li>
                                                @endif
                                            @endforeach
                                            @if($e->edits['photos']['is_edited'] === true)
                                                <p><strong>Fotos</strong></p>
                                                <p>Antes:</p>
                                                <ul class="list-inline">
                                                    @foreach($e->edits['photos']['old'] as $photo)
                                                        <li><a href="{{url('/uploads/gallery/' . $photo )}}"
                                                               target="_blank"><img alt="Imagem anterior do anúncio"
                                                                                    width="50" height="38"
                                                                                    src="{{url('/uploads/gallery/' . $photo )}}"></a>
                                                        </li>
                                                    @endforeach
                                                </ul>
                                                <p>Agora:</p>
                                                <ul class="list-inline">
                                                    @foreach($e->edits['photos']['new'] as $photo)
                                                        <li><a href="{{url('/uploads/gallery/' . $photo )}}"
                                                               target="_blank"><img alt="Imagem atualmente no anúncio"
                                                                                    width="50" height="38"
                                                                                    src="{{url('/uploads/gallery/' . $photo )}}"></a>
                                                        </li>
                                                    @endforeach
                                                </ul>

                                            @endif
                                        </ul>
                                        <hr>

                                    @endforeach
                                @endif
                            @endif
                        </div>
                        <div role="tabpanel" class="tab-pane" id="denuncias">
                            @if(isset($denuncias))
                                @if(count($denuncias) == 0 )
                                    <p>Não há denúncias para este anúncio</p>
                                @else
                                    <table class="table table-condensed table-hover table-responsive" id="tblDenuncias">
                                        <thead>
                                        <tr>
                                            <th>Data da denúncia</th>
                                            <th>Denunciante</th>
                                            <th>Motivo</th>
                                            <th>Observações</th>
                                            <th>Ações</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($denuncias as $d)
                                            <tr class="{{$d->status == 1 ? 'danger' : 'info'}}">
                                                <td>{{ date('d/m/Y H:i:s', strtotime($d->created_at)) }}</td>
                                                <td><a href="{{route('admin.user.edit', $d->user->id)}}"
                                                       target="_blank">({{$d->user->id}})</a> {{$d->user->name}}</td>
                                                <td>{{$d->reason}}</td>
                                                <td>{{$d->observation}}</td>
                                                <td><i class="fa fa-ban btnDispensarDenuncia" data-id="{{$d->id}}"></i>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                @endif
                            @endif
                        </div>

                        <div role="tabpanel" class="tab-pane" id="publish">
                            <div class="row">
                                <div class="col-sm-6 col-xs-12">
                                    <br>
                                    <div class="panel panel-default">
                                        <div class="panel-heading">Pedidos</div>

                                        @if($pedidos->count() === 0)
                                            <div class="panel-body">
                                                Não há pedidos
                                            </div>
                                        @else
                                            <div class="table-responsive">
                                                <table class="table table-condensed table-hover">
                                                    <thead>
                                                    <tr>
                                                        <th>Data</th>
                                                        <th>Produto</th>
                                                        <th>Valor</th>
                                                        <th>Situação</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    @foreach($pedidos as $pedido)
                                                        <tr class="{{$pedido->delayed_schedule === 1 ? 'danger' : ''}}">
                                                            <td>{{$pedido->created_at->format('d/m/Y H:i:s')}}</td>
                                                            <td>{{$pedido->product->name}}</td>
                                                            <td>{{$pedido->price}}</td>
                                                            <td>{{$pedido->situation}}</td>
                                                        </tr>
                                                    @endforeach
                                                    </tbody>
                                                </table>
                                            </div>

                                        @endif
                                    </div>
                                </div>
                                <div class="col-sm-6 col-xs-12">
                                    <br>
                                    <div class="panel panel-default">
                                        <div class="panel-heading">Publicações</div>
                                        @if($car->pushes->count() == 0)
                                            <div class="panel-body">
                                                Não há publicações
                                            </div>
                                        @else
                                            <div class="table-responsive">
                                                <table class="table table-condensed table-hover" id="tblPublicacoes">
                                                    <thead>
                                                    <tr>
                                                        <th>Data</th>
                                                        <th>Selecionados</th>
                                                        <th>Enviados</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    @foreach($car->pushes as $push)
                                                        <tr>
                                                            <td>{{date('d/m/Y H:i:s', strtotime($push->created_at))}}</td>
                                                            <td>{{$push->eligible_tokens}}</td>
                                                            <td>{{$push->sent_push}}</td>
                                                        </tr>
                                                    @endforeach
                                                    </tbody>
                                                </table>
                                            </div>
                                        @endif
                                    </div>

                                </div>
                            </div>


                        </div>
                </div>

            </div>
        </div>
    </section>


    <!-- Modal Suspender anúncio -->
    <div class="modal fade" id="modalModerar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel">Moderar Anúncio</h4>
                </div>
                <div class="modal-body">
                    <form class="form form-horizontal" method="POST" id="frmDecisao">
                        {{csrf_field()}}
                        <input type="hidden" name="id" value="{{$anuncio->id}}">
                        <input type="hidden" name="action" id="inputaction">
                        <p>Ação: <span id="moderarAcao" style="text-transform: capitalize;"></span> anúncio</p>
                        <p>Mensagens prontas, selecione uma:</p>
                        <select class="form-control" id="selectmotivos">
                            <option selected> - Selecione -</option>
                            @if($respostasmoderacao)
                                @foreach($respostasmoderacao as $resposta )
                                    <option>[{{$resposta->title}}] {{$resposta->text}}</option>
                                @endforeach
                            @endif
                        </select>

                        <p>Motivo: (IMPORTANTE: O texto digitado aqui aparece para o usuário dono do anúncio)</p>


                        <div class="form-group">
                            <div class="col-xs-12">
                                <textarea name="reason" id="inputmotivo" class="form-control"
                                          title="Motivo da suspensão/bloqueio"></textarea>
                                <span id="remainingC"></span>
                            </div>
                        </div>

                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                    <button type="button" class="btn btn-primary" id="btnSalvarDecisao">Enviar</button>
                </div>
            </div>
        </div>
    </div>


    <!-- Modal Patrocinar anúncio -->
    <div class="modal fade" id="modalPatrocinar" tabindex="-1" role="dialog" aria-labelledby="modalPatrocinarLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="modalPatrocinarLabel">Patrocinar Anúncio</h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal" id="frmCortesia">
                        {{csrf_field()}}
                        <div class="form-group">
                            <label for="selectPatrocinar" class="control-label col-xs-2">Selecione:</label>
                            <div class="col-xs-9">
                                <input type="hidden" name="car_id" value="{{$anuncio->id}}">
                                <input type="hidden" name="payment_type" value="cortesisa">
                                <select class="form-control" id="selectPatrocinar" name="product_id">
                                    <option disabled value="" selected> - Selecione -</option>
                                </select>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                    <button type="button" class="btn btn-primary btn-patrocinio" data-action="cortesia">Cortesia
                    </button>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script src="//cdnjs.cloudflare.com/ajax/libs/detect_swipe/2.1.1/jquery.detect_swipe.min.js"></script>
    <script src="{{asset('/plugins/featherlight/featherlight.min.js')}}"></script>
    <script src="{{asset('/plugins/featherlight/featherlight.gallery.min.js')}}"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        });


        $('#tabDetalhes a').click(function (e) {
            e.preventDefault();
            $(this).tab('show')
        });

        $(document).ready(function () {
            var len = 0;
            var maxchar = 255;

            $('#inputmotivo').keyup(function () {
                len = this.value.length
                if (len > maxchar) {
                    return false;
                } else if (len > 0) {
                    $("#remainingC").html("Caracteres restantes: " + (maxchar - len));
                } else {
                    $("#remainingC").html("Caracteres restantes: " + (maxchar));
                }
            })
        });

        $("#btnPublicar").click(function () {
            var action = 'publicar';
            var pergunta = confirm('Deseja ' + action + ' este anúncio?');

            if (pergunta) {
                var car_id = '{{$anuncio->id}}';
                $.ajax({
                    url: '{{route('ajax.car.publish')}}',
                    method: 'POST',
                    data: {
                        "_token": '{{csrf_token()}}',
                        action: action,
                        car_id: car_id
                    }
                }).done(function (data) {
                    console.log(data);
                    alert('Finalizado com sucesso!');
                    location.reload();
                }).error(function (data) {
                    console.log(data);
                    alert('Ocorreu um erro: ' + data.responseJSON.msg);
                });
            } else {
                return false;
            }
        });

        $("#btnBloquearUsuario").click(function () {
            var pergunta = confirm('Deseja bloquear o usuário? Todos os anúncios vinculados a ele não serão mais exibidos no aplicativo');

            if (pergunta) {
                $.ajax({
                    url: '{{route('admin.multi.update')}}',
                    method: 'POST',
                    data: {
                        "_token": '{{csrf_token()}}',
                        "userid[]": '{{$anuncio->user->id}}',
                        action: 'bloquear'
                    }
                }).done(function (data) {
                    alert('Usuário bloqueado com sucesso!');
                    location.reload();
                }).fail(function (data) {
                    console.log(data);
                    alert('Falha ao bloquear usuário');
                });
            } else {
                return false;
            }
        });

        $(".btnDispensarDenuncia").click(function () {
            var action = 'dispensar';
            var id = $(this).data('id');
            var pergunta = confirm('Deseja dispensar a denúncia?');
            if (pergunta) {
                $.ajax({
                    url: '{{route('ajax.moderar.denuncia')}}',
                    method: 'POST',
                    data: {
                        "_token": '{{csrf_token()}}',
                        action: action,
                        id: id
                    }
                }).done(function () {
                    alert('Denúncia dispensada com sucesso');
                    location.reload();
                }).fail(function () {
                    alert('Falha ao dispensar denúncia');
                });

            } else {
                return false;
            }
        });

        $("#btnSalvarDecisao").click(function () {
            var formdata = $("#frmDecisao").serialize();
            $.ajax({
                url: '{{route('ajax.moderar.decisao')}}',
                method: 'POST',
                data: formdata
            }).done(function () {
                alert('Decisão registrada com sucesso');
                location.reload();
            }).fail(function () {
                alert('Falha ao registrar decisão');
            });


        });

        $("#btnAprovar").click(function () {
            $.ajax({
                url: '{{route('ajax.car.publish')}}',
                method: 'POST',
                data: {
                    "_token": '{{csrf_token()}}',
                    car_id: '{{$anuncio->id}}',
                    action: 'liberar'
                }
            }).done(function () {
                alert('Anúncio liberado com sucesso!');
                location.reload();
            }).fail(function () {
                alert('Falha ao liberar o anúncio');
            });
        });

        $('#modalModerar').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget);
            var action = button.data('action');
            var modal = $(this);
            modal.find('#inputaction').val(action);
            modal.find('#moderarAcao').text(action);
            modal.find('#inputmotivo').val('');
        });

        $('#modalPatrocinar').on('show.bs.modal', function (event) {
            $.ajax({
                method: 'GET',
                url: '{{route('admin.ajax.product.quote', 1)}}'
            }).done(function (data) {
                var selectProdutos = $("#selectPatrocinar");

                selectProdutos.empty();
                var options = '<option disabled value="" selected> - Selecione - </option>';
                $.each(data, function () {
                    options += '<option value="' + this.id + '">' + this.description + '</option>';
                });

                selectProdutos.append(options).change();

            }).fail(function () {
                console.log('erro');
            });
        });

        $('.btn-patrocinio').click(function () {

            var selectPatrocinar = $("#selectPatrocinar");

            if (!selectPatrocinar.val()) {
                swal('Erro', 'Selecione um produto', 'error');
                return true;
            }

            var btnaction = $(this).data('action');
            var formdata = $("#frmCortesia").serialize();

            swal({
                title: "Confirma?",
                text: "Deseja efetuar a " + btnaction + " do turbo deste anúncio?",
                icon: "warning",
                buttons: {
                    cancel: {
                        text: "Cancelar",
                        value: null,
                        visible: true,
                        className: "",
                        closeModal: true,
                    },
                    confirm: {
                        text: "Confirmar",
                        value: true,
                        visible: true,
                        className: "",
                        closeModal: true
                    }
                },
                dangerMode: true
            }).then(function (confirma) {
                if (confirma) {
                    // Ajax pedido
                    $.ajax({
                        method: 'POST',
                        url: '{{route('admin.ajax.order.create')}}',
                        data: formdata
                    }).done(function () {
                        swal('Sucesso', 'A ' + btnaction + ' foi efetivada', 'success').then(function () {
                            location.reload();
                        });


                    }).fail(function (error) {
                        console.log(error);
                        swal('Erro', 'Não foi possível efetuar a ' + btnaction + ' ' + error.responseJSON.error, 'error');
                        console.log('erro ao fazer  o pedido');
                    });

                    console.log(btnaction);
                }
            });

        });

        $("#btnReativarAnuncio").click(function () {
            var car_id = '{{$anuncio->id}}';
            swal({
                title: 'Confirmar',
                text: 'Deseja reativar este anúncio?',
                icon: "warning",
                buttons: {
                    cancel: {
                        text: "Cancelar",
                        value: null,
                        visible: true,
                        className: "",
                        closeModal: true,
                    },
                    confirm: {
                        text: "Confirmar",
                        value: true,
                        visible: true,
                        className: "",
                        closeModal: true
                    }
                },
                dangerMode: true
            }).then(function (confirma) {
                if (confirma) {
                    $.ajax({
                        url: '{{route('ajax.car.publish')}}',
                        method: 'POST',
                        data: {
                            "_token": '{{csrf_token()}}',
                            action: 'reativar',
                            car_id: car_id
                        }
                    }).then(function () {
                        swal('Sucesso', 'Anúncio reativado', 'success').then(function () {
                            location.reload();
                        });


                    }).fail(function (error) {
                        console.log(error);
                        swal('Erro', 'Não foi possível alterar o status do anúncio: ' + error.responseJSON.msg, 'error');
                        console.log('erro ao fazer reativar o anúncio');
                    });

                }

            });
        });

        $("#selectmotivos").change(function () {
            var selectedoption = $("#selectmotivos option:selected").text();
            var motivodividido = selectedoption.split("]");

            $("#inputmotivo").val(motivodividido[1]);

        });

    </script>

@endsection

@section('css')
    <link rel="stylesheet" href="{{asset('/plugins/featherlight/featherlight.min.css')}}">
    <link rel="stylesheet" href="{{asset('/plugins/featherlight/featherlight.gallery.min.css')}}">
@endsection