@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div id="relEstoque" class="col-xs-12 section-content">
            <div class="row">
                <div id="rle-content" class="col-xs-12">
                    @if($user)
                        <h3>Exibindo {{$anuncios->total()}} anúncios de {{$user->dealership}}</h3>
                    <div class="row">
                        <div class="col-xs-2">
                            <a class="main-button" href="{{ route('admin.car.new', $user->id) }}" >Novo Anúncio</a>
                            <a class="main-button" href="{{ route('admin.user.edit', $user->id) }}">Editar Usuário</a>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        @if (isset($errors) && count($errors) > 0)
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                    </div>
                    @endif
                    @if($anuncios->count() == 0)
                            <p>Nenhum anúncio encontrado!</p>
                    @endif
                        <div class="row">
                            <div class="col-xs-12">
                                <table>
                                    <thead>
                                    <tr>
                                        <th>Publicação</th>
                                        <th>Carro</th>
                                        <th>Valor</th>
                                        <th>Negociações</th>
                                        <th>Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($anuncios as $anuncio)

                                        <tr>
                                            <td>
                                                {{ date('d/m/Y H:i:s', strtotime($anuncio->published_at)) }}
                                            </td>
                                            <td>
                                                @if(isset($anuncio->photos[0]))
                                                    <img class="img-responsive"
                                                         src="{{url('/uploads/gallery/' . $anuncio->photos[0]->filename )}}"
                                                         width="60"
                                                         height="60">
                                                @endif
                                                <a href="{{route('admin.report.anuncio', $anuncio->id)}}">{{$anuncio->brand->name}} {{$anuncio->fipe->model}} {{$anuncio->color->name}} {{$anuncio->fipe->year}}</a>
                                                <span>{{$anuncio->site_only ? 'Oferta exclusiva do site' : ''}}</span>
                                            </td>
                                            <td>
                                                <span class="preco">R$ {{ number_format($anuncio->price, 2, ',' ,'.') }}</span> <span class="label label-danger">{{$anuncio->fipe_off}}</span><br>
                                                <span class="preco-fipe">R$ {{ number_format($anuncio->fipe_price, 2, ',', '.') }}</span> <img src="{{url('/img/theme/fipe.png')}}" width="25" height="15">
                                            </td>


                                            <td>
                                                <span class="fa fa-commenting"></span> {{ $anuncio->rooms->count() }}
                                                <span class="fa fa-phone"></span> {{ $anuncio->calls->count() }}
                                            </td>
                                            <td class="car-status status-{{ $anuncio->car_status_id === 9 ? 'TURBINADO' : $anuncio->car_status->name}}">
                                    <span >
                                    {{ $anuncio->car_status_id === 9 ? 'TURBINADO' : $anuncio->car_status->name}}
                                    </span>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div style="text-align: center;">
                            {!! $anuncios->render() !!}
                        </div>
                </div>
            </div>

        </div>
    </section>
@endsection