@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div id="relAnuncios" class="col-xs-12 section-content">
            <div class="row">
                <div id="rla-content" class="col-xs-12">
                    <div class="row">
                        <div class="col-sm-10 col-md-8 col-lg-6 col-sm-offset-1 col-md-offset-2 col-lg-offset-3 box-content">
                            <div class="row">
                                <div class="col-xs-12 rla-content_title box-title">
                                    <h2 class="content-title title-preto">Relatório de Leads</h2>
                                </div>
                                <div class="clearfix"></div>
                                <hr class="separator">
                                <div class="col-xs-12 rla-content_body">
                                    <div class="row">
                                        @foreach($leads as $lead)
                                            <div class="col-xs-12 rla-item">
                                                <div class="row">
                                                    <div class="col-xs-3 col-lg-2 rla-item-image">
                                                        <img src="{{ url('uploads/avatar/' . (empty($lead->user->photo) ? 'Avatar.png' : $lead->user->photo) ) }}" class="img-responsive img-circle" width="70" height="70">
                                                    </div>
                                                    <div class="col-xs-9 col-lg-10">
                                                        <span class="rla-item-nome">
                                                            <b>{{$lead->user->name}}</b>,
                                                            {{$lead->user->type->name}}
                                                            <span class="rla-item-datetime">
                                                                <i class="fa fa-clock-o"></i> {{date('d/m/Y H:i:s', strtotime($lead->created_at) )}}
                                                            </span>
                                                        </span>
                                                        <ul class="list-unstyled list-lead">
                                                            <li><span>Telefone(s): </span> {{mascara_telefone($lead->user->phone)}} {{mascara_telefone($lead->user->cell_phone)}}</li>
                                                            <li><span>Email: </span> {{$lead->user->email}}</li>
                                                            <li><span>Veículo: </span> {{$lead->car->fipe->model}} {{$lead->car->fipe->year}} ({{$lead->car->fipe->code}})</li>
                                                            <li><span>Valor da Fipe: </span>R$ {{number_format($lead->car->fipe_price, 2, ',', '.' )}}</li>
                                                            <li><span>Valor de Venda: </span>R$ {{number_format($lead->car->price, 2, ',', '.' )}}</li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div align="center">
                        {!! $leads->render() !!}
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection