<?php

namespace App\Admin\User\Http\Requests;

use App\Core\Http\Requests\Request;

/**
 * @property mixed users
 */
class UserRequest extends Request
{

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        switch ($this->method()) {
            case 'POST': {
                return [
                    'email' => 'required|email|unique:user,email',
                    'name' => 'required',
                    'password' => 'required'

                ];
            }
            case 'PUT':
            case 'PATCH': {
                return [
                    'email' => "required|email|unique:user,email,{$this->user}",
                    'name' => 'required'

                ];
            }
        }
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

}