<?php
/**
 * Created by PhpStorm.
 * User: Rafael
 * Date: 08/09/2016
 * Time: 16:38
 */

namespace App\Chat\Room;


use App\Admin\Dashboard\Models\Car;

class Room
{
    private $car_id;
    private $comprador_id;
    private $bid;

    private $anuncio;
    protected $error;

    public function __construct($car_id, $comprador_id, $bid = null) {
        $this->car_id = $car_id;
        $this->comprador_id = $comprador_id;
        $this->bid = $bid;

        $dadosAnuncio = Car::where('id', $this->car_id)->first();

        if(!$dadosAnuncio) {
            throw new \Exception('Anúncio não existe');
        } else {
            $this->anuncio = $dadosAnuncio;
        }

    }


    public function getRoomId() {

        // Verificar se já existe uma conversa criada para este usuário
        $conversa = \App\Admin\Dashboard\Models\Room::where('car_id', $this->car_id)->where('comprador_id', $this->comprador_id)->get(['id'])->first();

        if (!$conversa) {
            // Para criar uma sala nova o anúncio não pode estar como negociando
            // Se o anuncio tiver em cadastro / negociando / vendido não deixa criar uma sala
            if ((int)$this->anuncio->car_status_id !== 1 && (int)$this->anuncio->car_status_id !== 9 ) {
                throw new \Exception('Anúncio não está aberto para negociação');
            }

            if ($this->anuncio->user_id == $this->comprador_id) {
                throw new \Exception('A sala não pode ser criada pois o comprador e o anunciante são a mesma pessoa');
            }

            $conversa = \App\Admin\Dashboard\Models\Room::create(['car_id' => $this->car_id, 'comprador_id' => $this->comprador_id, 'bid' => $this->bid]);
        } else {
            // Se tiver a room, e tiver a bid, salva na bid
            if (isset($this->bid)) {
                $conversa->bid = $this->bid;
                $conversa->save();
            }
        }

        return $conversa->id;

    }

    public function getCarStatus() {
        return $this->anuncio->car_status_id;
    }

    public function getError() {
        return $this->error;
    }


}