<?php

namespace App\Core\Console\Commands;

use App\Chat\Chat;
use Illuminate\Console\Command;
use Ratchet\Http\HttpServer;
use Ratchet\Server\IoServer;
use Ratchet\WebSocket\WsServer;
use Log;

class ChatServer extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'chat:serve {port}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Ativa o Servidor de Chat';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //

        $port = $this->argument('port');
        $this->info('Iniciando o servidor de bate papo na porta: ' . $port);
        Log::info('Iniciado o servidor de bate papo na porta: ' . $port);
        $server = IoServer::factory(
            new HttpServer(
                new WsServer(
                    new Chat()
                )
            ), $port, '0.0.0.0'
        );

        $server->run();


    }
}
