<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 09/03/2020
 * Time: 15:03
 */

namespace App\Core\Console\Commands\Mail;


use App\Admin\Dashboard\Models\Store\Store;
use App\Auth\Models\User;
use App\Core\Jobs\Mail\MailUserStats;
use App\Repasse\UserControl\UserStats;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Support\Facades\Queue;

class MonthlyStats extends Command
{
    use DispatchesJobs;

    protected $signature = 'mail:userstats';

    protected $description = 'Send the monthly user stats via email';

    public function handle(UserStats $userStats)
    {
        $date = Carbon::now();
        // Mês passado
        $mes = $date->subMonth(1);
        $period = [
            'start' => $mes->firstOfMonth()->format('Y-m-d' ). ' 00:00:00',
            'end' => $mes->lastOfMonth()->format('Y-m-d') . ' 23:59:59'
        ];
        // pega o mês atual
        // subtrai um mês em uma cópia
        User::whereNotIn('user_type', [3,4])->where('last_seen', '>', $mes->firstOfMonth()->format('Y-m-d' ). ' 00:00:00')->chunk(500, function($users) use ($userStats, $period) {
            /** @var User $user */
            foreach ($users as $user) {
                //
                $in_store = Store::where('user_id', $user->id)->first();
                if($in_store) {
                    // stats
                    $stats = $userStats->getStats($in_store->id, $period);
                    //Job
                    Queue::pushOn('emails', new MailUserStats($user->email, $stats));

                }


            }

        });

        // pega os usuários com visto por último (quase essa query)
        // SELECT * FROM `user` WHERE last_seen > '2020-01-11 00:00:00' AND role_id = 2 AND is_aprovado = 1 AND user_type <> 3;

        // para cada e


    }



}