<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 13/11/2018
 * Time: 15:01
 */

namespace App\Core\Console\Commands;

use App\Core\Jobs\PushNotificationJob;
use App\Repasse\Push\PushToSegment;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushAllSignup extends Command
{
    use DispatchesJobs;

    protected $signature = 'push:signup';

    protected $description = 'Envia push convidando usuário sem cadastro a se cadastrar';

    protected $heading = 'Termine seu cadastro';

    protected $contents = 'Ainda não se cadastrou? Faça seu cadastro agora e negocie com milhares de pessoas no chat';

    protected $data = ['car' => true];

    public function handle()
    {
        Log::info('Iniciando a rotina de envio de push para usuários sem cadastro');

        $Segment = new PushToSegment(['SEM CADASTRO'], $this->heading, $this->contents);
        $Segment = $Segment->setData($this->data);
        $parameters = $Segment->getParameters();

        $job = (new PushNotificationJob($parameters))->onQueue('push');
        $this->dispatch($job);

        Log::info('Finalizada a rotina de envio de push para usuários sem cadastro');

    }

}