<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 01/11/2018
 * Time: 16:30
 */

namespace App\Core\Console\Commands;


use App\Auth\Models\User;
use App\Core\Jobs\PushNotificationJob;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushLastSeen extends Command
{

    use DispatchesJobs;

    protected $signature = 'push:lastseen';

    protected $description = 'Envia Push incentivando usuário a fazer um novo anúncio';

    protected $heading = 'Você está aí?';

    protected $contents = 'Não deixe de fazer bons negócios. Tem diversos veículos com preços imperdíveis para você!';

    protected $data = ['car' => true];

    protected $days = 3;

    public function handle()
    {
        Log::info('Iniciando a rotina de envio de push de incentivo a voltar pro app');
        $date = Carbon::now()->subDays($this->days)->toDateString();


        // usuários cujo último acesso (last_seen) é três dias atrás

        $users = User::whereRaw(" CAST( last_seen AS DATE) =  '{$date}' ")->where('is_aprovado',
            1)->where('device_token', '<>', " ''  " )->get(['device_token']);

        if (!empty($users)) {

            $devices = array_pluck($users->toArray(), 'device_token');

            $parameters = [
                'include_player_ids' => $devices,
                'headings' => [
                    'en' => $this->heading
                ],
                'contents' => [
                    'en' => $this->contents
                ],
                'android_group' => 7,
                'android_group_message' => [
                    'en' => '$[notif_count] Aviso(s)'
                ],
                'small_icon' => 'repasse_small_icon_white',
                'large_icon' => 'repasse_icon',
                'data' => $this->data
            ];

            $job = (new PushNotificationJob($parameters))->onQueue('push');
            $this->dispatch($job);

        }


        Log::info('Finalizada rotina de envio de push de incentivo a voltar pro app');

    }

}