<?php

namespace App\Core\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

/**
 * Class Controller
 *
 * @package App\Http\Controllers
 *
 * @SWG\Swagger(
 *     basePath="/api/v2",
 *     schemes={"http","https"},
 *     @SWG\SecurityScheme(
 *         securityDefinition="Bearer",
 *         type="apiKey",
 *         name="Authorization",
 *         in="header"
 *     ),
 *     @SWG\Info(
 *         version="2.0.0",
 *         title="Repasse",
 *         description="Sábio é aquele lê a documentação.",
 *         @SWG\Contact(name="Repasse Plataforma Digital", url="https://www.repasses.com.br", email="rafael@repasses.com.br"),
 *     ),
 *     security={
 *         {"Bearer": {}}
 *     }
 * )
 */
abstract class CoreController extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function returnData($data)
    {
        return new Response(['success' => true, 'data' => $data]);
    }

    public function returnError($statusCode, $message)
    {
        return new Response(['success' => false, 'msg' => $message], $statusCode);
    }
}
