<?php

namespace App\Core\Http\Controllers;

use App\Auth\Models\User;
use Illuminate\Http\Response;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use KamranAhmed\Geocode\Geocode;

class UserAccessController extends CoreController
{
    public function index() {
        return Redirect::to('admin');
    }

    public function recuperarSenha($token, $email = null) {
        return view('senha.recuperasenha', ['token' => $token, 'email' => $email] );

    }

    public function alterarSenha(Request $request) {
        $response = new Response();
        if (!$request->has(['token', 'email', 'senha'])) {
            $response->setStatusCode(400);
            $response->setContent(['success' => false, 'msg' => 'Faltam parâmetros']);
            return $response;
        }
        // Puxa o usuário pelo e-mail
        $usuario = User::where('email', $request->input('email'))->first();

        if($usuario) {
            // se retornou alguém confere o token
            if($usuario->remember_token == $request->input('token')) {
                // se o token confere altera a senha
                $usuario->password = $request->input('senha');
                //reseta token
                $usuario->remember_token = null;
                if($usuario->save()) {
                    // Se salvou retorna sucesso
                    return ['success' => true, 'msg' => "Dados alterados com sucesso"];
                }
            } else {
                $response->setStatusCode(403);
                $response->setContent([ 'success' => false, 'msg' => 'Acesso negado']);
                return $response;
            }

        } else {
            $response->setStatusCode(404);
            $response->setContent(['success' => false, 'msg' => "Usuário não encontrado!"]);
            return $response;
        }

    }

    public function confirmUser($token) {
        $response = new Response();
        if (null === $token) {
            $response->setStatusCode(403);
            $response->setContent('Acesso Negado!');
            return $response;
        }

        $user = User::where('email_token', $token)->first();

        if ($user) {
            $user->email_token = null;
            $user->is_aprovado = 1;
            $geocode = new Geocode();
            $location = $geocode->get("{$user->address}, {$user->number} {$user->neighborhood} {$user->city} - {$user->state} Brasil");
            $user->latitude = $location->getLatitude();
            $user->longitude = $location->getLongitude();
            if ( $user->save() ) {
                $response->setStatusCode(200);
                $response->setContent('Usuário liberado com sucesso, bons negócios!');
                return $response;

            } else {
                $response->setStatusCode(500);
                $response->setContent('Ocorreu uma falha tente novamente');
                return $response;
            }


        } else {
            $response->setStatusCode(404);
            $response->setContent('Usuário não encontrado');
            return $response;
        }
    }

}
