<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 15/10/2019
 * Time: 09:27
 */

namespace App\Core\Jobs\CarQuery;


use App\Admin\Dashboard\Models\CarQuery\CarQuery;
use App\Core\Jobs\Job;
use App\Repasse\Products\CarQuery\AutoCorp;
use App\Repasse\Products\CarQuery\SuccessNotification;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class PurchaseCarQueryJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    protected $carQuery;
    protected $key;
    protected $env;

    public function __construct(CarQuery $carQuery, $key, $env)
    {
        $this->carQuery = $carQuery;
        $this->key = $key;
        $this->env = $env;
    }

    public function handle()
    {
        $auto = new AutoCorp($this->key, $this->env);
        $result = $auto->getCarQueryData($this->carQuery);
        $notify = new SuccessNotification($result);
        $notify->notifySuccess();
    }

}