<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 06/02/2019
 * Time: 16:55
 */

namespace App\Core\Jobs;


use App\Auth\Models\User;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class SendUserApprovalEmail extends Job implements SelfHandling, ShouldQueue
{
    use SerializesModels, InteractsWithQueue;

    protected $user;
    protected $vouchers;

    public function __construct(User $user, $vouchers)
    {
        $this->user = $user;
        $this->vouchers = $vouchers;
    }

    public function handle(Mail $mail)
    {
        /** @var array $data dados do usuário pra enviar pro blade */
        $data = [];

        if ((int)$this->user->is_aprovado === 1) {
            //
            $mail::send('emails.approvedusermail', $data, function($m)  {
                $m->to($this->user->email, $this->user->name)->subject('Sua conta foi na Repasse foi aprovada!');
            });

            if ($this->vouchers) {
                $data['vouchers'] = $vouchers;
                $mail::send('emails.voucheremail', $data, function($m)  {
                    $m->to($this->user->email, $this->user->name)->subject('Você ganhou um desconto na plataforma Repasse!');
                });
            }

            //
        } else {
            $mail::send('emails.rejecteduseremail', $data, function($m)  {
                $m->to($this->user->email, $this->user->name)->subject('Sua conta foi recusada!');

            });
        }


    }

}