<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 16/04/2020
 * Time: 15:28
 */

namespace App\Core\Listeners;


use App\Core\Events\CarChange;
use App\Core\Jobs\NewCarPodioJob;
use Illuminate\Foundation\Bus\DispatchesJobs;

class PodioCarChange
{
    use DispatchesJobs;

    public function handle(CarChange $event)
    {
        $car = $event->car;

        \Log::info('car changed starting podio', ['id' => $car->id]);

        $podioJob = (new NewCarPodioJob($car))->onQueue('push');
        $this->dispatch($podioJob);
        //
    }

}