<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Response;

class CheckUserStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  \Closure $next
     * @return mixed
     * @throws \InvalidArgumentException
     */
    public function handle($request, Closure $next)
    {
        if( (int)$request->user()->is_aprovado !== 1) {
            $response = new Response();
            $response->setStatusCode(403);
            $response->setContent(['success' => false, 'msg' => 'Acesso Negado']);
            return $response;
        }
        return $next($request);
    }
}
