<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 22/04/2019
 * Time: 14:13
 */

namespace App\Repasse\Fipe;


use App\Admin\Dashboard\Models\Config;
use App\Admin\Dashboard\Models\FipeConfig;
use App\Auth\Models\User;

class FipeLimit
{
    /**
     * @param $user_type
     * @param $fipe_year
     * @return int
     */
    public static function getFipePercent(User $user, $fipe_year): int
    {
        $stores = $user->stores;

        $has_site = false;

        foreach($stores as $store) {
            if ($store->site) {
                $has_site = true;
            }
        }

        if ($has_site) {
            return -99;
        }

        return self::getDefaultFipePercent($user->user_type, $fipe_year);

    }

    public static function getDefaultFipePercent($user_type, $fipe_year)
    {

        // Alteração FipeZeroKM:
        if ($fipe_year === 'Zero KM') {
            $fipe_year = 0;
        }
        // Verificar tabela com user_type + fipe_year
        $fipe = FipeConfig::where('user_type_id', $user_type)->where('fipe_year', $fipe_year)->first();

        if (empty($fipe)) {
            // A mesma consulta mas sem ano (por tipo de usuário)
            // Alteração fipe zero, todos os anos passa a ser 9999
            $fipe = FipeConfig::where('user_type_id', $user_type)->where('fipe_year', 9999)->first();
            if (empty($fipe)) {
                // Não existe configuração de ano nem de usuário, trazer a fipe padrão
                $fipe = Config::find(1);

                return (int)$fipe->percent;

            }

            return (int)$fipe->fipe_percent;

        }

        return $fipe->fipe_percent;

    }

}