<?php

namespace App\Repasse\Integration\Cep\DTO;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="CepDTO"))
 */
class CepDTO
{
    /**
     * @var string
     * @SWG\Property()
     */
    public $cep;

    /**
     * @var string
     * @SWG\Property()
     */
    public $address;

    /**
     * @var string
     * @SWG\Property()
     */
    public $neighborhood;

    /**
     * @var CityDTO
     * @SWG\Property(ref="#/definitions/CityDTO")
     */
    public $city;

    /**
     * @var StateDTO
     * @SWG\Property(ref="#/definitions/StateDTO")
     */
    public $state;

    public $service;

    public function __construct(FetchCepDTO $cep, $cidade, $estado, $service) {
        $this->cep = $cep->getCep();
        $this->address = $cep->getLogradouro();
        $this->neighborhood = $cep->getBairro();
        $this->city = new CityDTO($cidade);
        $this->state = new StateDTO($estado);
        $this->service = $service;
    }

}