<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 24/07/2019
 * Time: 18:15
 */

namespace App\Repasse\Integration\Podio\Models;


use App\Admin\Dashboard\Models\UserRating;

class UserRatingFields implements FieldsInterface
{
    protected $data = [
        'external_id' => null,
        'fields'      => [
            'relacionamento' => null,
            'id' => null,
            'nome' => null,
            'telefone' => [],
            'data-da-avaliacao' => ['start'  => null],
            'fipe' => null,
            'titulo' => null,
            'classificacao' => null
        ]
    ];

    public function __construct(UserRating $rating, $attributes)
    {

        $this->data['external_id'] = (string)$rating->id;
        $this->data['fields']['relacionamento'] = $rating->user->podio_id;
        $this->data['fields']['id'] = $rating->id;
        $this->data['fields']['nome'] = $rating->user->name;
        $this->data['fields']['data-da-avaliacao'] = $rating->created_at->toDateTimeString();
        //origem (attributes)
        $this->data['fields']['fipe'] = $rating->fipe;
        $this->data['fields']['titulo'] = $rating->observation;
        $this->data['fields']['classificacao'] = $rating->rating;

        // Se usuário tem telefone
        if (!empty($rating->user->cell_phone)) {
            $this->data['fields']['telefone'][] = ['type' => 'mobile', 'value' => $rating->user->cell_phone];
        }

        if (isset($attributes['origin_field'])) {
            $key = array_search('Avaliação Interna App', array_column($attributes['origin_field']['data']->config['settings']['options'], 'text'));
            $result = $attributes['origin_field']['data']->config['settings']['options'][$key]['id'];
            $this->data['fields'][$attributes['origin_field']['name']] = $result;
        }

    }


    public function toPodio(): array
    {
        if (empty($this->data['fields']['titulo'])) {
            unset($this->data['fields']['titulo']);
        }

        // dd($this->data);
        return $this->data;
    }
}