<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 14/06/2021
 * Time: 18:47
 */

namespace App\Repasse\Moderator;


use App\Admin\Dashboard\Models\Car;
use Carbon\Carbon;
use Closure;
use Log;

class CheckUserCreationDate implements ModeratorInterface
{

    protected $points = 5;
    protected $days = 45;

    public function handle($content, Closure $next)
    {
        Log::info("Iniciou passagem pelo cadastro do usuário, Anúncio {$content->id} score: {$content->score} ");
        // eu quero que o usuário não seja
        $data = Carbon::now();
        $dataPassada = $data->subDays($this->days)->startOfDay();
        $dataCadastro = Carbon::createFromFormat('Y-m-d\TH:i:sP',$content->user->created_at);

        // se a data de cadastro for menor que a data de hoje menos os dias que estão em $days
        if ($dataCadastro->greaterThanOrEqualTo($dataPassada)) {
            // verificar se existem anúncios ativos desse usuário
            $carros = Car::where('user_id', '=', $content->user_id)
                ->whereIn('car_status_id', [1,2,9])->get();
            if ($carros->count() < 1) {
                $content->reasons[] = [
                    'analise' => 'Data de cadastro do usuário',
                    'score' => $this->points,
                    'reason' => "Anúncio de usuário cadastrado a menos de {$this->days} dias. Data de cadastro do usuário {$dataCadastro->format('d/m/Y H:i:s')}"
                ];

                $content->score -= $this->points;

            }

        }

        return $next($content);

    }
}