<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 18/02/2019
 * Time: 11:00
 */

namespace App\Repasse\UserControl;


use App\Admin\Dashboard\Models\City;
use App\Admin\Dashboard\Models\Store\Store;
use App\Admin\Role\Models\Role;
use App\Auth\Models\User;

class UserStoreMigration
{
    protected $user;

    protected $store;

    protected $city;

    protected $role;

    public function __construct(User $user, Store $store, City $city, Role $role)
    {
        $this->user = $user;
        $this->store = $store;
        $this->city = $city;
        $this->role = $role;
    }

    public function execute()
    {

        if ( in_array( $this->user->user_type, [1,2,5,6]) ) {
            // Check se usuário pertence a empresa
            $store = Store::where('user_id', $this->user->id)->first();

            // se não pertence: criar empresa e fazer o vínculo e vincular plano a empresa
            if (empty($store)) {
                $city = $this->city->where('name', 'like',"%{$this->user->city}%")->first();

                // Criar empresa
                $store = Store::create([
                    'user_id' => $this->user->id,
                    'company_name' => $this->user->dealership,
                    'trade_name' => $this->user->dealership,
                    'cnpj' => $this->user->document,
                    'city_id' => !empty($city) ? $city->id : 999,
                    'neighborhood' => $this->user->neighborhood,
                    'street' => $this->user->address,
                    'number' => $this->user->number,
                    'status' => 0,
                    'zipcode' => $this->user->zipcode
                ]);
                // Vincular usuário a empresa
                $role_chief    = $this->role->where( 'name', 'chief' )->first();
                $role_business = $this->role->where( 'name', 'business' )->first();

                $store->staff()->attach( $this->user->id, ['role_id' => 2, 'status'=>1] );
                $this->user->roles()->attach( $role_chief->id );
                $this->user->roles()->attach( $role_business->id );
            }
        } else {
            $role_individual = $this->role->where( 'name', 'individual' )->first();
            $this->user->roles()->attach( $role_individual->id );
        }

        return true;

    }

}