<?php

namespace App\Transformers\Staff;

use App\Admin\Role\Models\Role;
use App\Transformers\Transformer;

class StaffTransformer extends Transformer
{
    public function transform( $value )
    {
        $role = Role::find( $value->pivot->role_id );

        return [
            'success' => true,
        	'data' => [
	        	'id'         => (integer)$value->id,
                'name'       => $value->name,
                'cpf'        => $value->document,
                'phone'      => $value->phone,
                'cell_phone' => $value->cell_phone,
                'email'      => $value->email,
                'status'     => $value->pivot->status,
                'qty_cars'   => $value->anuncios()->count(),
                'role'       => $role->display_name
	        ]
        ];
    }

    public function transformCollectionByStore ( $values, $store )
    {
        $data = [];
        foreach ( $values as $value ) {

            $role = Role::find( $value->pivot->role_id );

            $data[] = [
                'id'       => (integer)$value->id,
                'name'     => $value->name,
                'cpf'      => $value->document,
                'phone'      => $value->phone,
                'cell_phone' => $value->cell_phone,
                'email'    => $value->email,
                'status'   => $value->pivot->status,
                'qty_cars' => $value->anuncios()->where( 'store_id', $store )->count(),
                'role'     => $role->display_name
            ];
        }

        return [
            'success' => true,
            'data'  => [
                'totals'       => $values->total(),
                'per_page'     => $values->perPage(),
                'current_page' => $values->currentPage(),
                'items'        => $data,
            ]
        ];
    }

    public function transformCollection ( $values )
    {
        $data = [];
        foreach ( $values as $value ) {

            $role = Role::find( $value->pivot->role_id );

            $data[] = [
                'id'       => (integer)$value->id,
                'name'     => $value->name,
                'cpf'      => $value->document,
                'email'    => $value->email,
                'status'   => $value->pivot->status,
                'qty_cars' => $value->anuncios()->where( 'store_id', $store )->count(),
                'role'     => $role->display_name
            ];
        }

        return [
            'success' => true,
            'data'  => [
                'totals'       => $values->total(),
                'per_page'     => $values->perPage(),
                'current_page' => $values->currentPage(),
                'items'        => $data,
            ]
        ];
    }
}