<?php

namespace App\Transformers\Store;

use App\Admin\Role\Models\Role;
use App\Transformers\Transformer;

class InvitesTransformer extends Transformer
{
    public function transform( $value )
    {
        $role = Role::find( $value->pivot->role_id );

        return [
            'success' => true,
        	'data' => [
	        	'id'           => (integer)$value->id,
                'company_name' => $value->company_name,
                'trade_name'   => $value->trade_name,
                'city'         => isset($value->city) ? $value->city->name : null,
                'neighborhood' => $value->neighborhood,
                'street'       => $value->street,
                'number'       => $value->number,
                'complement'   => $value->complement,
                'zipcode'      => $value->zipcode,
                'role'         => $role->display_name
	        ]
        ];
    }

    public function transformCollection ( $values )
    {
        $data = [];
        foreach ( $values as $value ) {

            $role = Role::find( $value->pivot->role_id );

            $data[] = [
                'id'           => (integer)$value->id,
                'company_name' => $value->company_name,
                'trade_name'   => $value->trade_name,
                'city'         => isset($value->city) ? $value->city->name : null,
                'neighborhood' => $value->neighborhood,
                'street'       => $value->street,
                'number'       => $value->number,
                'complement'   => $value->complement,
                'zipcode'      => $value->zipcode,
                'role'         => $role->display_name,
                'created_at'   => date( 'Y-m-d H:i:s', strtotime( $value->pivot->created_at ) )
            ];
        }

        return [
            'success' => true,
            'data'  => [
                'totals'       => count( $values ),
                'per_page'     => count( $values ),
                'current_page' => 1,
                'items'        => $data,
            ]
        ];
    }
}