<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCarTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('car', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->unsigned();
            $table->integer('color_id')->unsigned();
            $table->integer('door_id')->unsigned();
            $table->integer('fipe_id')->unsigned();
            $table->integer('brand_id')->unsigned();
            $table->integer('model_id')->unsigned();
            $table->integer('car_status_id')->unsigned();
            $table->integer('year');
            $table->string('observation');
            $table->double('price', 10,2);
            $table->integer('km');
            $table->timestamps();
            $table->foreign('user_id')->references('id')->on('user');
            $table->foreign('color_id')->references('id')->on('color');
            $table->foreign('door_id')->references('id')->on('door');
            $table->foreign('brand_id')->references('id')->on('brand');
            $table->foreign('fipe_id')->references('id')->on('fipe');
            $table->foreign('model_id')->references('id')->on('model');
            $table->foreign('car_status_id')->references('id')->on('car_status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('car');
    }
}
