<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCarSellTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('car_sell', function (Blueprint $table) {
            $table->increments('id');
            $table->dateTime('date');
            $table->double('price',10,2);
            $table->integer('car_id')->unsigned();
            $table->integer('user_sell_id')->unsigned();
            $table->integer('user_buy_id')->unsigned();
            $table->timestamps();
            $table->foreign('car_id')->references('id')->on('car');
            $table->foreign('user_sell_id')->references('id')->on('user');
            $table->foreign('user_buy_id')->references('id')->on('user');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('car_sell');
    }
}
