<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CampoDataPublicacaoMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('car', function(Blueprint $table) {
            $table->dateTime('published_at')->after('updated_at');
        });

        //SEED
        $cars = \App\Admin\Dashboard\Models\Car::all();

        foreach($cars as $car) {
            $car->published_at = $car->created_at;
            $car->save();
        }



    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('car', function(Blueprint $table) {
            $table->dropColumn('published_at');
        });
    }
}
