<?php

use App\Admin\Dashboard\Models\City;
use App\Admin\Dashboard\Models\Store\Store;
use App\Admin\Role\Models\Role;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UsersStoreMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        \App\Auth\Models\User::where('role_id', 2)->where('is_aprovado', 1)->chunk(500, function($users) {
            foreach($users as $user) {
                $store = new Store();
                $city = new City();
                $role = new Role();

                $migration = new \App\Repasse\UserControl\UserStoreMigration($user, $store, $city, $role);
                $migration->execute();
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
