<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

class ChangeCarQueryTableUserMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('car_queries', function(Blueprint $table) {
            $table->integer('user_id')->after('order_id')->unsigned();
            $table->integer('product_id');
            $table->longText('xml')->nullable()->after('response');
            $table->string('pdf')->nullable()->after('response');
            $table->string('local_pdf')->nullable()->after('response');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('car_queries', function(Blueprint $table) {
            $table->dropColumn('user_id');
            $table->dropColumn('product_id');
            $table->dropColumn('xml');
            $table->dropColumn('pdf');
            $table->dropColumn('local_pdf');
        });
    }
}
