<?php

namespace App\Admin\Dashboard\Models;

use Illuminate\Database\Eloquent\Model;
use App\Admin\Dashboard\Models\Car;
use App\Admin\Dashboard\Models\Optional;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="CarOptional"))
 */
class CarOptional extends Model
{
    /**
     * @var integer
     * @SWG\Property()
     */
    private $id;

    /**
     * @var string
     * @SWG\Property()
     */
    private $name;

    /**
     * @var string
     * @SWG\Property()
     */
    private $description;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $type;


    protected $table = 'car_optional';

    protected $fillable = ['optional_id', 'car_id'];

    protected $hidden = ['created_at', 'updated_at'];

    public function car()
    {
       return $this->belongsTo(Car::class);
    }

    public function optional()
    {
       return $this->belongsTo(Optional::class);
    }
}
