@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div id="permissoes" class="col-xs-12 section-content">
            <div class="row">
                <div class="col-xs-12">

                        <table class="table table-condensed table-hover tblPermissoes">
                            <thead>
                            <tr>
                                <th>Cadastro</th>
                                <th>Anunciante</th>
                                <th>Nome</th>
                                <th>Modelo</th>
                                <th>Ano</th>
                                <th>Valor/Fipe</th>
                                <th>Situação</th>
                                <th>Ações</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($anuncios as $anuncio)
                                <?php
                                        switch($anuncio->car_status_id) {
                                            case 1:
                                                $icon = 'fa fa-arrow-down';
                                                $action = 'despublicar';
                                                break;
                                            case 4:
                                                $icon = 'fa fa-arrow-up';
                                                $action = 'publicar';
                                                break;
                                        }
                                        $situacao = $anuncio->expirado ? 'Expirado' : '';
                                ?>
                                <tr>
                                    <td>{{ date('d/m/Y H:m', strtotime($anuncio->created_at)) }}</td>
                                    <td>{{$anuncio->dealership}}</td>
                                    <td>{{$anuncio->name}}</td>
                                    <td>{{$anuncio->model}}</td>
                                    <td>{{$anuncio->year}}/{{$anuncio->anomodelo}}</td>
                                    <td>{{number_format($anuncio->price, 2, ',', '.')}} / {{number_format($anuncio->fipe_price,2,',','.')}}</td>
                                    <td>{{$situacao}}</td>
                                    <td data-search="{{$action}}"><button type="button" class="btn btn-default car-publish" data-id="{{$anuncio->id}}" data-action="{{$action}}"><i class="{{$icon}}"></i></button> <a class="btn btn-default" href="{{route('admin.report.anuncio', $anuncio->id)}}"><i class="fa fa-eye"></i></a></td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <p>Digite publicar para filtrar anúncios que estão em cadastro e despublicar para filtrar anúncios publicados </p>
                </div>
            </div>
        </div>
    </section>
@endsection
@section('scripts')
    <script src="//cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
    <script src="//cdn.datatables.net/plug-ins/1.10.12/sorting/datetime-moment.js"></script>
    <script>
        $(document).ready(function () {

            $(".car-publish").click(function() {
                var action = $(this).data('action');
                var pergunta = confirm('Deseja ' + action + ' este anúncio?');

                if(pergunta) {
                    var car_id = $(this).data('id');
                    $.ajax({
                        url: '{{route('ajax.car.publish')}}',
                        method: 'POST',
                        data: {
                            "_token": '{{csrf_token()}}',
                            action: action,
                            car_id: car_id
                        }
                    }).done(function(data) {
                        console.log(data);
                        alert('Finalizado com sucesso!');
                        location.reload();
                    }).error(function(data) {
                        console.log(data);
                        alert('Ocorreu um erro: ' + data.responseJSON.msg);
                    });
                } else {
                    return false;
                }




                console.log($(this).data('id'));
            });



            $.fn.dataTable.moment( "DD/MM/YYYY HH:mm" );


            $(".tblPermissoes").DataTable({
                order: [],
                "lengthMenu": [ 10, 25, 50, 75, 100, 250, 350 ],
                language: {
                    search:         "Procurar",
                    lengthMenu:    "Exibir _MENU_ registros",
                    info:           "Exibindo de _START_ até _END_ de _TOTAL_ registros",
                    infoEmpty:      "Exibindo de 0 até 0 de um total de 0 registros",
                    infoFiltered:   "(filtrado de _MAX_ registros no total)",
                    infoPostFix:    "",
                    paginate: {
                        first:      "Primeira",
                        previous:   "Anterior",
                        next:       "Próxima",
                        last:       "Última"
                    },
                    aria: {
                        sortAscending:  ": clique para ordenar de forma crescente",
                        sortDescending: ": clique para ordenar de forma decrescente"
                    }
                }
            });
        });

    </script>

@endsection
@section('css')
    <link rel="stylesheet" href="//cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css">
@endsection

