@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div id="configuracoes" class="col-xs-12 section-content">
            <div class="row">
                <div id="cnf-content" class="col-xs-12">
                    <div class="row">
                        <div class="col-xs-12 col-sm-4">
                            <div id="cnf-tabela">
                                <h2 class="page-subTitle">Tabela FIPE</h2>
                                <div class="usr-content_wrapper box-content">
                                    <div class="row">
                                        <div class="clearfix"></div>
                                        <hr class="separator">
                                        <form action="{{url('admin/config')}}" method="post" accept-charset="utf-8">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <div id="cnf-tabela-porcentagem" class="col-xs-12 cnf-tabela-item">
                                                <label class="text-cinza text-center" for="edtPorcentagemFIPE">Alterar
                                                    porcentagem limite abaixo da tabela FIPE</label>
                                                <input type="text" id="edtPorcentagemFIPE" name="edtPorcentagemFIPE"
                                                       placeholder="%" value="{{$edtPorcentagemFIPE->percent}}%">
                                            </div>
                                            <div id="cnf-tabela-btn_salvar" class="col-xs-12">
                                                <button type="submit" class="main-button upper">Salvar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-4">
                            <div id="cnf-tabela">
                                <h2 class="page-subTitle">Código FIPE</h2>
                                <div class="usr-content_wrapper box-content">
                                    <div class="row">
                                        <div class="clearfix"></div>
                                        <hr class="separator">
                                        <form action="{{route('admin.fipe.tabela')}}" method="post" accept-charset="utf-8">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <div class="form-group">
                                                <label for="edtCodigoFipe">Informe o código da tabela fipe</label>
                                                <input type="text" value="{{ $edtPorcentagemFIPE->current_fipe_table_id }}" name="edtCodigoFipe" id="edtCodigoFipe" class="form-control" />
                                            </div>
                                            <div class="form-group">
                                                <label for="currentTableId">Código da Tabela Atual: </label>
                                                <input id="currentTableId" type="text" class="form-control" value="{{$current_fipe_table_info->codigo}}" readonly>
                                                <input type="text" class="form-control" value="{{$current_fipe_table_info->referencia}}" readonly>
                                            </div>
                                            <div id="cnf-tabela-btn_salvar" class="col-xs-12">
                                                <button type="submit" class="main-button upper">Salvar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-4">
                            <div id="cnf-planilha">
                                <h2 class="page-subTitle">Planilha FIPE</h2>
                                <div class="cnf-planilha-content_wrapper box-content">
                                    {!! Form::open(array('method' => 'post', 'role' => 'form', 'id' => 'formFipe', 'files' => true)) !!}
                                    <div class="row">
                                        <div id="cnf-planilha-content" class="col-xs-12">
                                            Anexe abaixo a planilha FIPE. <strong>Importante: Dentro de 60 segundos o
                                                sistema será colocado em
                                                modo de manutenção para importação ser efetuada. Ao final do processo
                                                você receberá um e-mail
                                                informando a conclusão da importação.</strong>
                                            <br>
                                            <div id="cnf-planilha-content_label">
                                                <label class="main-button upper" for="filePlanilhaFIPE">Anexar</label>
                                            </div>
                                            <input type="file" id="filePlanilhaFIPE" name="filePlanilhaFIPE"
                                                   accept=".csv, text/csv">
                                        </div>
                                    </div>
                                    {!! Form::close() !!}
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="row">
                        <div class="col-xs-12">
                            <h2 class="page-subTitle">Limite da Fipe</h2>
                            <button type="button" class="main-button upper" data-toggle="modal"
                                    data-target="#modal-fipe-tipo">Adicionar
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6 cnf-planilha-content_wrapper box-content">
                            @if(!empty($fipe_configs))
                                <table class="table table-condensed table-hover">
                                    <thead>
                                    <tr>
                                        <th>Tipo de usuário</th>
                                        <th>Ano da Fipe</th>
                                        <th>Limite da Fipe</th>
                                        <th>Ações</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($fipe_configs as $fipe)
                                        <tr>
                                            <td>{{$fipe->userType->name}}</td>
                                            <td>{{$fipe->fipe_year_name}}</td>
                                            <td>{{$fipe->fipe_percent}}%</td>
                                            <td><button type="button" class="btn btn-sm btn-danger btn-fipe-remove" data-id="{{$fipe->id}}"><span class="fa fa-trash"></span></button></td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            @endif
                        </div>
                        <div class="col-xs-6 cnf-planilha-content_wrapper box-content">
                            <p>
                                <strong>Entenda a limitação nova:</strong> Primeiro o sistema procura pelo tipo de
                                usuário logado e o ano do anúncio, caso não encontre, procura apenas pelo tipo de
                                usuário (para anos marcados como Todos) e caso não encontre mesmo assim, é usada a mesma
                                configuração antiga da fipe.
                            </p>
                            <p>
                                Para definir a Fipe por um tipo de usuário (todos os anos) selecione Todos nos dois
                                períodos (inicial e final)
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="modal fade" tabindex="-1" role="dialog" id="modal-fipe-tipo">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form class="form-horizontal" method="post" id="form-fipe-config">
                    {{ csrf_field() }}
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                    aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">Adicionar</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="user_type_id" class="control-label col-xs-3">Tipo de Usuário:</label>
                            <div class="col-xs-9">
                                <select name="user_type_id" class="form-control" required>
                                    <option value=""> - Selecione -</option>
                                    @if(!empty($user_types))
                                        @foreach($user_types as $type)
                                            <option value="{{$type->id}}">{{$type->name}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="start_year" class="control-label col-xs-3">Ano Inicial:</label>
                            <div class="col-xs-9">
                                <select name="start_year" class="form-control" required>
                                    <option value=""> - Selecione -</option>
                                    <option value="9999">Todos</option>
                                    @if(!empty($years))
                                        @foreach($years as $year)
                                            <option value="{{($year === 'Zero KM' ? 0 : $year)}}">{{$year}}</option>
                                        @endforeach
                                    @endif
                                </select>

                            </div>
                        </div>
                        <div class="form-group">
                            <label for="end_year" class="control-label col-xs-3">Ano Final:</label>
                            <div class="col-xs-9">
                                <select name="end_year" class="form-control" required>
                                    <option value=""> - Selecione -</option>
                                    <option value="9999">Todos</option>
                                    @if(!empty($years))
                                        @foreach($years as $year)
                                            <option value="{{($year === 'Zero KM' ? 0 : $year)}}">{{$year}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="fipe_percent" class="control-label col-xs-3">Porcentagem:</label>
                            <div class="col-xs-9">
                                <div class="input-group">
                                    <input type="number" class="form-control" name="fipe_percent" required>
                                    <span class="input-group-addon">%</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                        <button type="submit" class="btn btn-primary" id="btn-salvar-fipe-tipo">Salvar</button>
                    </div>
                </form>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
@stop
@section('scripts')

    <script type="text/javascript">

        $(document).ready(function () {

            $('#filePlanilhaFIPE').change(function () {
                $('#formFipe').submit();
            });

            $("#form-fipe-config").on('submit', function (e) {
                $("#btn-salvar-fipe-tipo").attr('disabled', true);
                e.preventDefault();
                //
                var formdata = $(this).serialize();
                $.ajax({
                    type: 'post',
                    url: '{{route('admin.ajax.fipe.config.create')}}',
                    data: formdata
                }).done(function () {
                    $("#btn-salvar-fipe-tipo").attr('disabled', false);
                    alert('Atualizado com sucesso!');
                    location.reload();
                });
            });


            $(".btn-fipe-remove").click(function() {
                if (confirm('Deseja remover esta configuração?')) {
                    var btn = $(this);
                    btn.attr('disabled', true);
                    var formdata = {
                        "_token": '{{csrf_token()}}'
                    };

                    $.ajax({
                        type: 'delete',
                        url: '{{route('admin.ajax.fipe.config.delete')}}/' + btn.data('id'),
                        data: formdata
                    }).done(function() {
                        alert('Removido com sucesso!');
                        btn.parent().parent().hide('slow');
                        // location.reload();
                    });
                }


            });
        });

    </script>
@stop

