@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div id="tela-modelo">
            <div id="relAnuncio" class="col-xs-12 section-content">
                <div class="row">
                    <div class="col-xs-12">
                        <h1 class="page-title">Visualizando Modelo: {{$modelo->name}}</h1>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12" id="rla-content">
                        <br>
                        <ul class="list-unstyled">
                            <li><strong>Tipo:</strong> {{$modelo->marca->tipo->name}}</li>
                            <li><strong>Marca:</strong> {{$modelo->marca->name}}</li>
                            <li><strong>Modelo:</strong> {{$modelo->name}}</li>
                            <li><strong>Criado em:</strong> {{$modelo->created_at->format('d/m/Y H:i:s')}}</li>
                        </ul>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <h3>Versões vinculadas a esse modelo: ({{$modelo->versoes->count()}})</h3>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <table class="table table-condensed table-hover">
                            <thead>
                            <tr>
                                <th>Código</th>
                                <th>Nome</th>
                                <th>Ano</th>
                                <th>Valor R$</th>
                                <th>Criado em</th>
                                <th>Alterado em</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($modelo->versoes as $versao)
                                <tr>
                                    <td>{{$versao->code}} <button v-on:click="removeVinculo('{{$versao->code}}')" type="button" class="btn btn-danger btn-sm" title="Remover esta vinculo com este modelo"><i class="fa fa-minus-circle"></i></button></td>
                                    <td>{{$versao->model}}</td>
                                    <td>{{$versao->year}}</td>
                                    <td>{{number_format($versao->price, 2, ',', '.')}}</td>
                                    <td>{{$versao->created_at->format('d/m/Y H:i:s')}}</td>
                                    <td>{{$versao->updated_at->format('d/m/Y H:i:s')}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
