<?php $collapse = 'anuncio'; ?>
@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div class="col-xs-12 section-content" id="moderar">
            <div class="row">
                <div class="col-xs-12" >
                    <!-- Nav tabs -->
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active"><a id="linkanuncios" href="#home" aria-controls="home" role="tab" data-toggle="tab">Anúncios Novos e Edições ({{count($moderar)}})</a></li>
                        <li role="presentation"><a href="#denuncia" id="linkdenuncias" aria-controls="denuncia" role="tab" data-toggle="tab" >Denúncias ({{count($denuncia)}})</a></li>
                    </ul>
                    <div class="tab-content" id="moderar-content">
                        <div class="row tab-pane active" role="tabpanel" id="home">
                            <div class="col-xs-12">
                                @if(count($moderar) < 1)
                                    <p>Não há anúncios para moderar</p>
                                @else
                                    <table class="table table-condensed table-hover">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>Cadastro</th>
                                            <th>Tipo</th>
                                            <th>Anunciante</th>
                                            <th>Telefone</th>
                                            <th>Marca</th>
                                            <th>Modelo</th>
                                            <th>Ano</th>
                                            <th>Valor/Fipe</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($moderar as $m)
                                            <tr onclick="location.href='{{route('admin.moderar.anuncio', $m->id)}}'" class="linha {{$m->is_edited ? 'warning' : ''}}">
                                                <td><img src="{{url('/uploads/gallery/' . $m->image)}}" width="50" height="38"></td>
                                                <td>{{ date('d/m/Y H:i:s', strtotime($m->created_at)) }}</td>
                                                <td>{{$m->user->type['name']}}</td>
                                                <td>{{$m->user->name}}</td>
                                                <td>{{mascara_telefone($m->user->cell_phone)}}<br>{{mascara_telefone($m->user->phone)}}</td>
                                                <td>{{$m->brand->name}}</td>
                                                <td>{{$m->fipe->model}}</td>
                                                <td>{{$m->year}}</td>
                                                <td>{{number_format($m->price, 2, ',','.')}} / {{number_format($m->fipe->price, 2, ',','.')}}</td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                @endif
                            </div>
                        </div>
                        <div class="row tab-pane" role="tabpanel" id="denuncia">
                            <div class="col-xs-12">
                                @if(count($denuncia) < 1)
                                    <p>Não há denúncias!</p>
                                @else
                                    <table class="table table-condensed table-hover">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>Publicação</th>
                                            <th>Tipo</th>
                                            <th>Anunciante</th>
                                            <th>Telefone</th>
                                            <th>Marca</th>
                                            <th>Modelo</th>
                                            <th>Ano</th>
                                            <th>Valor/Fipe</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($denuncia as $d)
                                            <tr class="linha" onclick="location.href='{{route('admin.moderar.anuncio', $d->id)}}'">
                                                <td><img src="{{url('/uploads/gallery/' . $d->image)}}" width="50" height="38"></td>
                                                <td>{{ date('d/m/Y H:i:s', strtotime($d->published_at)) }}</td>
                                                <td>{{$d->user->type['name']}}</td>
                                                <td>{{$d->user->name}}</td>
                                                <td>{{mascara_telefone($d->user->cell_phone)}}<br>{{mascara_telefone($d->user->phone)}}</td>
                                                <td>{{$d->brand->name}}</td>
                                                <td>{{$d->fipe->model}}</td>
                                                <td>{{$d->year}}</td>
                                                <td>{{number_format($d->price, 2, ',','.')}} / {{number_format($d->fipe->price, 2, ',','.')}}</td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
@section('scripts')
    <script>

        var anuncios = {{count($moderar)}};
        var denuncias = {{count($denuncia)}};

        window.onbeforeunload = function(event)
        {
            // Salvar a quantidade de novos anúncios e novas denúncias

            window.localStorage.setItem('anuncios', anuncios);
            window.localStorage.setItem('denuncias', denuncias);

            return undefined;

        };

        $(document).ready(function() {
            var old_anuncios = window.localStorage.getItem('anuncios');
            var old_denuncias = window.localStorage.getItem('denuncias');

            if(anuncios > old_anuncios) {
                $("#linkanuncios").css('background-color', '#ff9b8f');
            }

            if(denuncias > old_denuncias) {
                $("#linkdenuncias").css('background-color', '#ff9b8f');
            }

        });


        $('#tabDetalhes a').click(function (e) {
            e.preventDefault();
            $(this).tab('show')
        });

        $('.linha').css( 'cursor', 'pointer' );
    </script>
@endsection