@extends('admin.master')
@section('content')
    
    <section id="dashboard-content">
        <div id="permissoes" class="col-xs-12 section-content">
            <div class="row">
                <div class="col-xs-12">

                    <table class="table table-condensed table-hover tblPermissoes">
                        <thead>
                        <tr>
                            <th>Usuário</th>
                            <th>Nome</th>
                            <th>Domínio</th>
                            <th>Situação do cadastro</th>
                            <th>Situação do site</th>
                            <th>Ações</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($sites as $site)
                            <tr>
                                <td>{{ $site->owner->name }}</td>
                                <td>{{ $site->name ?? '-' }}</td>
                                <td>{{ $site->domain ?? '-' }}</td>
                                <td>
                                    @if ($site->registration_status)
                                        <i class="fa fa-check-circle text-success"></i> Concluído
                                    @else
                                        <i class="fa fa-exclamation-circle text-warning"></i> Não concluído
                                    @endif
                                </td>
                                <td>
                                    @if ($site->status)
                                        <i class="fa fa-signal text-success"></i> Ativo
                                    @else
                                        <i class="fa fa-signal text-danger"></i> Inativo
                                    @endif
                                </td>
                                <td>
                                    <a class="btn btn-default" href="{{route('admin.sites.show', $site->id)}}"><i class="fa fa-eye"></i></a>
                                    <a class="btn btn-default" href="{{route('admin.sites.toggle-status', $site->id)}}">
                                        @if ($site->status == false)
                                            <i class="fa fa-arrow-up"></i> Ativar
                                        @else
                                            <i class="fa fa-arrow-down"></i> Desativar
                                        @endif
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>

                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <p>Digite publicar para filtrar anúncios que estão em cadastro e despublicar para filtrar anúncios publicados </p>
                </div>
            </div>
        </div>
    </section>
@endsection
@section('scripts')
    <script src="//cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
    <script src="//cdn.datatables.net/plug-ins/1.10.12/sorting/datetime-moment.js"></script>
    <script>
        $(document).ready(function () {
            $.fn.dataTable.moment( "DD/MM/YYYY HH:mm" );

            $(".tblPermissoes").DataTable({
                order: [],
                "lengthMenu": [ 10, 25, 50, 75, 100, 250, 350 ],
                language: {
                    search:         "Procurar",
                    lengthMenu:    "Exibir _MENU_ registros",
                    info:           "Exibindo de _START_ até _END_ de _TOTAL_ registros",
                    infoEmpty:      "Exibindo de 0 até 0 de um total de 0 registros",
                    infoFiltered:   "(filtrado de _MAX_ registros no total)",
                    infoPostFix:    "",
                    paginate: {
                        first:      "Primeira",
                        previous:   "Anterior",
                        next:       "Próxima",
                        last:       "Última"
                    },
                    aria: {
                        sortAscending:  ": clique para ordenar de forma crescente",
                        sortDescending: ": clique para ordenar de forma decrescente"
                    }
                }
            });
        });

    </script>

@endsection
@section('css')
    <link rel="stylesheet" href="//cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css">
@endsection

