@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        
        <div id="relAnuncio" class="col-xs-12 section-content">
            <div class="row">
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active">
                        <a
                            href="#informacoes"
                            aria-controls="home"
                            role="tab"
                            data-toggle="tab"
                            >
                            Informações
                        </a>
                    </li>
                    <li>
                        <a id="dLabel" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Ações
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="{{route('admin.sites.toggle-status', $site->id)}}">
                                    @if ($site->status == false)
                                        <i class="fa fa-arrow-up"></i> Ativar
                                    @else
                                        <i class="fa fa-arrow-down"></i> Desativar
                                    @endif
                                </a>
                            </li>

                            <li>
                                <a href="{{route('admin.sites.generate-token', $site->id)}}" onclick="return confirm('Deseja realmente gerar um novo token?')">
                                    <i class="fa fa-key"></i> Gerar novo token de acesso
                                </a>
                            </li>
                            
                            <li data-toggle="modal" data-target="#modalModerar" data-action="suspender">
                                <a href="#">
                                    <i class="fa fa-globe"></i> Opções do domínio
                                </a>
                            </li>                            
                        </ul>
                    </li>
                </ul>

                <div id="rla-content" class="col-xs-12 tab-content">
                    <div role="tabpanel" class="tab-pane active" id="informacoes">
                        <h3>Visualizando as informações do site</h3>
                        
                        <div class="row" id="tblAnuncio" style="padding: 1rem;">
                            <div class="col-sm-8 col-xs-12 mb-2">
                                <table>
                                    <tr>
                                        <th>Informações básicas</th>
                                    </tr>
                                    <tr>
                                        <td>Título:</td>
                                        <td>{{$site->title}}</td>
                                    </tr>
                                    <tr>
                                        <td>Nome:</td>
                                        <td>{{$site->name}}</td>
                                    </tr>
                                    <tr>
                                        <td>Domínio:</td>
                                        <td>{{$site->domain}} ({{ $site->domain_status_label }})</td>
                                    </tr>
                                    <tr>
                                        <td>CNPJ:</td>
                                        <td>{{$site->cnpj}}</td>
                                    </tr>
                                    <tr>
                                        <td>E-mail:</td>
                                        <td>{{$site->email}}</td>
                                    </tr>
                                    <tr>
                                        <td>CEP:</td>
                                        <td>{{$site->cep}}</td>
                                    </tr>
                                    @if (isset($site->city))
                                        <tr>
                                            <td>Cidade:</td>
                                            <td>{{$site->city->name}}</td>
                                        </tr>
                                    @endif
                                    <tr>
                                        <th>Textos institucionais</th>
                                    </tr>
                                    <tr>
                                        <td>Sobre nós:</td>
                                        <td>{{$site->about_text}}</td>
                                    </tr>
                                    <tr>
                                        <td>Missão:</td>
                                        <td>{{$site->mission_text}}</td>
                                    </tr>
                                    <tr>
                                        <td>Visão:</td>
                                        <td>{{$site->vision_text}}</td>
                                    </tr>
                                    <tr>
                                        <td>Valores:</td>
                                        <td>{{$site->values_text}}</td>
                                    </tr>
                                    <tr>
                                        <th>Informações adicionais</th>
                                    </tr>
                                    <tr>
                                        <td>Situação do site:</td>
                                        <td>
                                            @if ($site->status)
                                                <i class="fa fa-signal text-success"></i> Ativo
                                            @else
                                                <i class="fa fa-signal text-danger"></i> Inativo
                                            @endif
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Token de acesso externo:</td>
                                        <td>{{$site->token ?? '-'}}</td>
                                    </tr>
                                    <tr>
                                        <th>Cores e redes sociais</th>
                                    </tr>
                                    @if ($site->social_networks)
                                        <tr>
                                            <td>Redes sociais:</td>
                                            <td>
                                                @foreach ($site->social_networks as $item)
                                                <p>- {{$item}}</p>  
                                                @endforeach
                                            </td>
                                        </tr>
                                    @endif
                                    @if ($site->colors)
                                        <tr>
                                            <td>Cores:</td>
                                            <td>
                                                @foreach ($site->colors as $name => $color)
                                                <p>- {{$name}}: <i class="fa fa-square" style="color: {{$color}}"></i>{{$color}}</p>  
                                                @endforeach
                                            </td>
                                        </tr>
                                    @endif
                                </table>
                            </div>
                            @if ($site->owner)
                                <div class="col-sm-4 col-xs-12">
                                    <table>
                                        <tr>
                                            <th>Informações do usuário</th>
                                        </tr>
                                        <tr>
                                            <td>Proprietário:</td>
                                            <td>{{ $site->owner->name }}</td>
                                        </tr>
                                        <tr>
                                            <td>Documento:</td>
                                            <td>{{$site->owner->document ?? 'Não informado'}}</td>
                                        </tr>
                                        @if (isset($site->owner->phone))
                                            <tr>
                                                <td>Telefone Fixo:</td>
                                                <td>
                                                    <a href="https://wa.me/55{{$site->owner->phone}}" target="_blank">
                                                        {{mascara_telefone($site->owner->phone)}}
                                                    </a>
                                                </td>
                                            </tr>
                                        @endif
                                        @if (isset($site->owner->cel_phone))
                                            <tr>
                                                <td>Telefone Celular:</td>
                                                <td>
                                                    <a href="https://wa.me/55{{$site->owner->cell_phone}}" target="_blank">
                                                        {{mascara_telefone($site->owner->cell_phone)}}
                                                    </a>
                                                </td>
                                            </tr>
                                        @endif
                                        <tr>
                                            <td>Situação do usuário:</td>
                                            <td>
                                                <span class="preco">{{ (!isset($site->owner->is_aprovado) || $site->owner->is_aprovado == 0) ? 'Bloqueado' : 'Ativo'  }}</span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Data de Cadastro</td>
                                            <td>{{date('d/m/Y H:i:s', strtotime($site->owner->created_at))}}</td>
                                        </tr>
                                    </table>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Modal Suspender anúncio -->
    <div class="modal fade" id="modalModerar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel">Atualizar informações</h4>
                </div>
                <div class="modal-body">
                    <form class="form form-horizontal" method="POST" id="frmDominio">
                        {{csrf_field()}}
                        <p>Domínio</p>
                        <input type="text" name="domain" class="form-control" value="{{$site->domain}}">
                        <p>Status do domínio, selecione uma opção:</p>
                        <select class="form-control" name="domain_status">
                            <option>- Selecione -</option>
                            @foreach ($domainStatusOptions as $value => $label)
                                <option {{ $site->domain_status == $value ? 'selected' : '' }} value="{{$value}}">
                                    {{$label}}
                                </option>
                            @endforeach
                        </select>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                    <button type="button" class="btn btn-primary" id="btnAtualizarDados">Enviar</button>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script src="//cdnjs.cloudflare.com/ajax/libs/detect_swipe/2.1.1/jquery.detect_swipe.min.js"></script>
    <script src="{{asset('/plugins/featherlight/featherlight.min.js')}}"></script>
    <script src="{{asset('/plugins/featherlight/featherlight.gallery.min.js')}}"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        });

        $("#btnAtualizarDados").click(function () {
            var formdata = $("#frmDominio").serialize();
            $.ajax({
                url: "{{route('admin.sites.update-domain', $site->id)}}",
                method: 'PUT',
                data: formdata
            }).done(function () {
                alert('Atualização realizada com sucesso');
                location.reload();
            }).fail(function () {
                alert('Falha ao atualizar as informações');
            });
        });

    </script>

@endsection

@section('css')
    <link rel="stylesheet" href="{{asset('/plugins/featherlight/featherlight.min.css')}}">
    <link rel="stylesheet" href="{{asset('/plugins/featherlight/featherlight.gallery.min.css')}}">
@endsection