<?php

namespace App\Admin\Role\Models;

use Zizaco\Entrust\EntrustRole;
use App\Admin\Role\Models\Permission;
use Illuminate\Database\Eloquent\Model;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="Role"))
 */
class Role extends EntrustRole
{
    protected $table = 'roles';

    protected $fillable = ['name', 'display_name', 'description'];

    public static function getProfessionalRole(): array
    {
        $role_chief    = self::where( 'name', 'chief' )->first();
        $role_business = self::where( 'name', 'business' )->first();

        return [$role_chief->id, $role_business->id];
    }

    public static function getIndividualRole(): array
    {
        $role_sales = self::where('name', 'salesman')->first();
        $role_individual = self::where( 'name', 'individual' )->first();

        return [$role_sales->id, $role_individual->id];
    }



}
