<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 28/08/2019
 * Time: 15:52
 */

namespace App\Api\Http\Controllers;


use App\Admin\Dashboard\Models\Ads\UserAd;
use App\Core\Http\Controllers\CoreController;

class ApiAvisoController extends CoreController
{

    public function getAvisos()
    {
        // Pegar o usuário  e listar todos os anúncios com status pendente
        // Marcar como enviados
        //
        $user = auth()->user();
        $avisos = UserAd::where('user_id', $user->id)->where('status', 1)->get();

        $link = config('app.url') . '/uploads/ads/';

        $data = [];
        foreach($avisos as $aviso) {

            switch($aviso->ad->type) {
                case 1:
                    $tipo = 'link';
                    break;
                case 2:
                    $tipo = 'internal';
                    break;
                case 3:
                    $tipo = 'function';
                    break;
            }


            $data[] = [
                'image'   => $link . $aviso->ad->filename,
                'action'  => $tipo,
                'address' => $aviso->ad->destination,
                'label'   => $aviso->label
            ];
            $aviso->status = 2;
            $aviso->save();
        }

        $all = [
            [
                'image' => 'https://via.placeholder.com/290x300/0000FF?text=Atualiza por favor!!',
                'action' => 'function',
                'address' => 'openAppStore',
                'label'   => 'adid_ads-compartilhe-blog'
            ],

            [
                'image' => 'https://via.placeholder.com/290x300/0000FF?text=Compartilhe!',
                'action' => 'link',
                'address' => 'https://repasses.com.br/blog/compartilhe-com-os-amigos/',
                'label'   => 'adid_ads-compartilhe-blog'
            ],
            [
                'image' => 'https://via.placeholder.com/290x300/FFFF00?text=Aviso+Importante',
                'action' => 'link',
                'address' => 'https://repasses.com.br/blog/aviso-importante/',
                'label'   => 'adid_ads-aviso-importante-blog'
            ],
            [
                'image' => 'https://via.placeholder.com/290x300/FF00FF?text=Novo+Anúncio',
                'action' => 'internal',
                'address' => '#/app/home/myAds',
                'label'   => 'adid_ads-novo-anuncio-blog'
            ],
            [
                'image' => 'https://via.placeholder.com/290x300/FA01FF?text=Compartilhe Valendo!',
                'action' => 'function',
                'address' => 'shareApp',
                'label'   => 'adid_ads-compartilhe-funcao'
            ]
        ];

        return [
            'success' => true,
            'data'    => $data
        ];
    }

}