<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 23/07/2018
 * Time: 16:57
 */

namespace App\Api\Http\Controllers;

use App\Admin\Dashboard\Models\ExpressLead;
use App\Admin\Dashboard\Models\UserLead;
use App\Core\Http\Controllers\CoreController;
use App\Http\Requests\ExpressLead\CreateExpressLeadRequest;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Auth;

class ApiLeadsController extends CoreController
{
    protected $user;

    public function __construct(Auth $auth)
    {
        $this->user = $auth::user();
    }

    /**
     * Salva lead no banco de dados
     * @param Request $request
     * @param Response $response
     * @return Response
     */
    public function createLead(Request $request, Response $response): Response
    {

        $user_id = $request->get('id');
        $car_id = $request->get('car_id');
        UserLead::create(['user_id' => $user_id, 'car_id' => $car_id]);

        $response->setContent(['success' => true]);
        return $response;

    }


    public function createExpressLead(CreateExpressLeadRequest $request, Response $response): Response
    {
        $user_id = $request->get('user_id');
        ExpressLead::create(['user_id' => $user_id]);

        $response->setContent(['success' => true]);
        return $response;
    }

}