<?php

namespace App\Api\Http\Controllers;

use App\Admin\Dashboard\Models\City;
use App\Admin\Dashboard\Models\State;
use App\Admin\Dashboard\Models\StateDdd;
use App\Core\Http\Controllers\CoreController;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\DB;

class CityStateDDDController extends CoreController {

    public function getDDD($stateId = null) {
        if(null === $stateId) {
            $response = new Response();
            $response->setStatusCode(400);
            $response->setContent(['success' => false, 'msg' => 'Falta um parâmetro']);
            return $response;
        }

        $ddd = StateDdd::where('state_id', $stateId )->get(['id', 'ddd', 'name', DB::raw("CONCAT(ddd, ' - ', name) AS label")])->toArray();

        return ['success' => true, 'data' => $ddd ];
    }

    public function getStates() {
        $states = State::get(['id', 'initials', 'name']);

        return ['success' => true, 'data' => $states];
    }

    public function getCities($stateId = null) {
        $response = new Response();
        if(null === $stateId) {
            $response->setStatusCode(400);
            $response->setContent(['success' => false, 'msg' => 'Falta um parâmetro']);
            return $response;
        }

        $cities = City::where('stateId', $stateId)->get(['id', 'name']);
        return ['success' => true, 'data' => $cities];
    }

}