<?php
/**
 * Created by PhpStorm.
 * User: Rafael
 * Date: 08/09/2016
 * Time: 11:07
 */

namespace App\Chat;


use App\Auth\Models\User;
use Carbon\Carbon;


class Auth
{

    /**
     * @param $token
     * @return array | bool
     */
    public function getCredentials($token) {
        $user = User::where('chat_token', $token)->get(['id', 'name', 'email', 'role_id'])->first();
        if($user !== null) {

            $user = $user->toArray();
            if(isset($user['id'])) {
                return $user;
            } else {
                return false;
            }
        } else {
            return false;
        }

    }

    public function setLastSeen($userId) {
        $user = User::find($userId);
        $user->last_seen = Carbon::now();
        $user->save();

        return true;
    }

    public function getLastSeen($userId) {
        $user = User::find($userId);
        $date = new Carbon($user->last_seen);
        return  $date->toRfc3339String();
    }

}