<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 10/04/2020
 * Time: 17:24
 */

namespace App\Core\Console\Commands\Car;


use App\Admin\Dashboard\Models\Car;
use App\Repasse\Products\Car\SetCarExpired;
use Carbon\Carbon;
use Illuminate\Console\Command;

class ExpireCarCommand extends Command
{

    protected $signature = 'car:expire {days? : Idade do anúncio em dias a contar da data de publicação}';

    protected $description = 'Marca anuncios como expirados a partir de uma data';

    public function __construct()
    {
        parent::__construct();
    }

    public function handle()
    {
        $days = $this->argument('days') ?? 120;
        
        // Data 60 dias
        $date = Carbon::now()->subDays($days)->format('Y-m-d');
        $date = $date . ' 00:00:00';

        // Select carros publicados, com a data de publicação maior que 120 dias
        $cars = Car::where('car_status_id', '=', 1)->where('published_at', '<', $date)->get();

        $bar = $this->output->createProgressBar(count($cars));
        // Foreach

        foreach($cars as $car) {

            $expire =  new SetCarExpired($car);
            $expire->execute();
            $bar->advance();
        }

    }


}