<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 29/10/2018
 * Time: 17:08
 */

namespace App\Core\Console\Commands;

use App\Core\Jobs\PushNotificationJob;
use App\Repasse\Push\PushToSegment;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushAllCarQueryOffer extends Command
{
    use DispatchesJobs;

    protected $signature = 'push:carquery';

    protected $description = 'Envia Push oferecendo o produto consulta veicular para todos usuários registrados no onesignal';

    protected $heading = 'Consulta Veicular';

    protected $contents = 'Compre com mais segurança e evite problemas, faça uma consulta veicular antes de comprar.';

    protected $data = ['car' => true];


    public function handle()
    {
        Log::info('Iniciando a rotina de envio de push da consulta veicular');
        $Segment = new PushToSegment(['All'], $this->heading, $this->contents);
        $Segment = $Segment->setData($this->data);
        $parameters = $Segment->getParameters();

        $job = (new PushNotificationJob($parameters))->onQueue('push');
        $this->dispatch($job);

        Log::info('Finalizada a rotina de envio de push da consulta veicular');

    }

}