<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 08/02/2021
 * Time: 14:53
 */

namespace App\Core\Console\Commands;


use App\Admin\Dashboard\Models\CarTurbo;
use App\Core\Jobs\PushNotificationJob;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;

class PushOpenCartsTurbo extends Command
{

    use DispatchesJobs;

    protected $signature = 'push:opencartturbo';

    protected $description = 'Envia push notification para carrinhos de compra não pagos';

    protected $heading = 'Está vendo esse aviso? Poderia ser seu Repasse.';

    protected $contents = 'Turbine agora mesmo para começar a receber novas propostas e aumentar seus lucros.';

    protected $data = ['car' => true];

    protected $days = 1;

    
    public function handle()
    {
        $date = Carbon::now()->subDays($this->days)->toDateString();

        $orders= CarTurbo::whereNotNull('checkout_link')->whereNotIn('order_status', ['ORDER.PAID', 'ORDER.NOT_PAID'])->whereRaw(" CAST(created_at AS DATE) = '{$date}' ")->get();

        $devices = [];

        if ($orders) {
            \Log::debug('------ orders turbo  -----: ' . $orders->count());

            foreach($orders as $order) {
                // \Log::debug('-------- device id -------- '. $order->user->id);
                 \Log::debug('-------- device token*-------- '. $order->user->device_token);
                if (!empty($order->user->device_token)) {
                    $devices[] = $order->user->device_token;
                }
            }
            $parameters = [
                'include_player_ids' => $devices,
                'headings' => [
                    'en' => $this->heading
                ],
                'contents' => [
                    'en' => $this->contents
                ],
                'android_group' => 7,
                'android_group_message' => [
                    'en' => '$[notif_count] Aviso(s)'
                ],
                'small_icon' => 'repasse_small_icon_white',
                'large_icon' => 'repasse_icon',
                'data' => $this->data
            ];

            if (!empty($devices)) {
                $job = (new PushNotificationJob($parameters))->onQueue('push');
                $this->dispatch($job);
            }
        }
    }
}