<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', ['as' => 'default.index', 'uses' => 'UserAccessController@index']);


Route::get('recuperar-senha/{token?}/{email?}', ['as' => 'user.recuperar.senha', 'uses' => 'UserAccessController@recuperarSenha']);

Route::post('alterar-senha', ['as' => 'user.alterar.senha', 'uses' => 'UserAccessController@alterarSenha']);

Route::get('/confirm/{token?}', [ 'as' => 'user.confirm', 'uses' => 'UserAccessController@confirmUser'] );

//CEP
Route::group(['prefix' => 'cep'], function () {
    Route::get('{cep}', ['uses' => 'CepController@show'] )->where('cep', '[0-9]+');
});