<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 14/10/2019
 * Time: 10:59
 */

namespace App\Core\Jobs\CarQuery;

use Illuminate\Support\Facades\Mail;
use App\Admin\Dashboard\Models\CarQuery\CarQuery;
use App\Core\Jobs\Job;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class SuccessUserMailJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    private $carQuery;

    public function __construct(CarQuery $carQuery)
    {
        $this->carQuery = $carQuery;
    }

    public function handle(Mail $mail)
    {
        $mail::send('emails.car_query.success', [
            'license_plate' => $this->carQuery->license_plate
        ], function($message) {
            $message->to($this->carQuery->order->user->email);
            $message->subject('Sua consulta veicular foi concluída');
            $message->attach(storage_path('carqueries/') . $this->carQuery->local_pdf, ['as' => 'ConsultVeicular.pdf', 'mime' => 'application/pdf']);
        });

    }

}