<?php

namespace App\Core\Jobs;

use App\Core\Jobs\Job;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Mail;

class EmailFipe extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    private $name;
    private $email;
    private $horaInicio;
    private $horaFim;
    private $filename;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($name, $email, $horaInicio, $horaFim, $filename)
    {
        //
        $this->name       = $name;
        $this->email      = $email;
        $this->horaInicio = $horaInicio;
        $this->horaFim    = $horaFim;
        $this->filename   = $filename;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(Mail $mail)
    {
        //
        $mail::send('emails.importacao', ['inicio' => $this->horaInicio, 'fim' => $this->horaFim, 'filename' => $this->filename], function($m) {
            $m->to($this->email, $this->name)->subject('Importação Finalizada');
        });
    }
}
