<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 24/02/2021
 * Time: 16:58
 */

namespace App\Core\Jobs\Fipe;


use App\Admin\Dashboard\Models\Fipe;
use App\Core\Jobs\Job;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class AtualizaModelosMarcaFipeJob extends Job implements ShouldQueue
{

    use InteractsWithQueue, SerializesModels, DispatchesJobs;

    private $modelos;
    private $car_type;
    private $brand_id;

    public function __construct($modelos, $brand_id, $car_type)
    {
        $this->modelos = $modelos;
        $this->brand_id = $brand_id;
        $this->car_type = $car_type;
    }

    public function handle()
    {
        if(is_array($this->modelos->Modelos)) {
            foreach ($this->modelos->Modelos as $modelo) {
                Log::debug('procurando modelo: ' . $modelo->Label);
                $fipes = Fipe::where('model', $modelo->Label)->where('type', $this->car_type)->where('brand_id', $this->brand_id)->where('external_fipe_id', 0)->get();
                foreach($fipes as $fipe) {
                    $fipe->external_fipe_id = $modelo->Value;
                    $fipe->save();
                }
            }
        }
    }
}