<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 09/03/2020
 * Time: 15:10
 */

namespace App\Core\Jobs\Mail;


use App\Admin\Dashboard\Models\Store\Store;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Mail;

class MailUserStats implements ShouldQueue
{
    use InteractsWithQueue;

    protected $data;
    protected $email;

    public function __construct($email, $data)
    {
        $this->email = $email;
        $this->data = $data;
    }

    public function handle(Mail $mail)
    {
        $mail::send('emails.store.stats', $this->data, function($m) {
            $m->to($this->email)->subject('Seu relatório mensal na Plataforma Repasse');
        });

    }

}