<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 03/12/2018
 * Time: 15:34
 */

namespace App\Core\Jobs;


use App\Auth\Models\UserStatus;
use App\Repasse\Integration\Podio\Models\UserFields;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;
use Repasse\LaravelPodio\Services\PodioService;


class NewUserPodioJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    protected $user;

    public function __construct($user)
    {
        $this->user = $user;
    }

    public function handle(PodioService $podioService)
    {
        $appUser = $podioService->getApp('Usuários');

        $userFields = new UserFields($this->user);


        $fields = $userFields->toPodio();
        // $podioService->authenticateWithApp('Usuários');

        if (!$podioService->isAuthenticated()) {
            $podioService->authenticateWithPassword();
        }

        $item = \PodioItem::create($appUser['id'], $fields);

        if ($item->item_id) {
            $this->user->podio_id = $item->item_id;
            $this->user->save();
        }

    }


}