<?php

namespace App\Core\Jobs;

use App\Core\Jobs\Job;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Support\Facades\Mail;

class SendEmailDenuncia extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    private $anuncio;
    private $anunciante;
    private $denunciante;
    private $motivo;
    private $observacao;


    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($anuncio, $anunciante, $denunciante, $motivo, $observacao)
    {
        //
        $this->anuncio = $anuncio;
        $this->anunciante = $anunciante;
        $this->denunciante = $denunciante;
        $this->motivo = $motivo;
        $this->observacao = $observacao;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(Mail $mail)
    {
        //

        $mail::send('admin.denuncia', array(
            'anuncio' => $this->anuncio,
            'anunciante' => $this->anunciante,
            'denunciante' => $this->denunciante,
            'motivo' => $this->motivo,
            'observacao' => $this->observacao
        ), function( $message )
        {
            $message->to(config('moderador.email'), 'RepasseAPP')->subject('Nova Denúncia');
        });


    }
}
