<?php

namespace App\Core\Jobs;

use App\Core\Jobs\Job;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Support\Facades\Mail;

class SendEmailSenha extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    private $userMail;
    private $userName;
    private $link;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($userMail, $userName, $link)
    {
        //
        $this->userMail = $userMail;
        $this->userName = $userName;
        $this->link = $link;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(Mail $mail )
    {
        //
        $mail::send('emails.recuperarsenha', ['link' => $this->link, 'email' => $this->userMail], function($m) {
            $m->to($this->userMail, $this->userName)->subject('Solicitação de Recuperação de Senha');
        });
    }
}
