<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 11/07/2019
 * Time: 17:53
 */

namespace App\Core\Jobs\StoreSite;


use App\Core\Jobs\Job;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class SendEmailFormContactJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;


    protected $name;
    protected $email;
    protected $subject;
    protected $content;
    protected $store;


    public function __construct($name, $email, $subject, $content, $store)
    {
        $this->name    = $name;
        $this->email   = $email;
        $this->subject = $subject;
        $this->content = $content;
        $this->store   = $store;
    }

    public function handle(Mail $mail)
    {
        $mail::send('emails.store_site.contact', [
            'name'  => $this->name,
            'email' => $this->email,
            'subject' => $this->subject,
            'content' => $this->content
        ], function($message) {
            $message->to($this->store->owner->email, $this->store->owner->name)
                ->subject('Novo contato através do formulário de contato do seu site')
                ->replyTo($this->email, $this->name);
        });

    }


}