<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 15/08/2019
 * Time: 17:39
 */

namespace App\Core\Jobs\StoreSite;


use App\Admin\Dashboard\Models\Store\Store;
use App\Core\Jobs\Job;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class SendEmailFormJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    private $store;
    private $name;
    private $fields;
    private $emailReply;
    private $nameReply;

    //construct
    public function __construct(Store $store, $name, $fields)
    {
        $this->store = $store;
        $this->name = $name;
        $this->fields = $fields;
    }

    /**
     * @param Mail $mail
     */
    public function handle(Mail $mail)
    {

        foreach ($this->fields as $keyNumber => $field) {
            foreach ($field as $key => $campo) {
                if(trim($key) === "email") {
                    $this->emailReply = $campo;
                }

                if(trim($key) === "nome") {
                    $this->nameReply = $campo;
                }
            }
        }

        if($this->emailReply) {
            $mail::send('emails.store_site.form', [
                'name'  => $this->name,
                'fields' => $this->fields
            ], function($message) {
                $message->to($this->store->owner->email, $this->store->owner->name)
                    ->subject("Novo: {$this->name}")
                    ->replyTo($this->emailReply, $this->nameReply);
            });
        } else {
            $mail::send('emails.store_site.form', [
                'name'  => $this->name,
                'fields' => $this->fields
            ], function($message) {
                $message->to($this->store->owner->email, $this->store->owner->name)
                    ->subject("Novo: {$this->name}");
            });
        }
    }
}