<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 21/10/2019
 * Time: 16:28
 */

namespace App\Http\Middleware;


use App\Admin\Dashboard\Models\Store\Store;
use Illuminate\Http\Request;

class CheckStoreToken
{

    /**
     * Middleware que procura pelo Header Site-Auth e autentica contra a tabela stores. Acrescenta a store aos atributos
     * @param Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle(Request $request, \Closure $next)
    {

        $token =  $request->header('Api-Key', null);

        if (isset($token)) {
            // select
            $store = Store::where('store_token', $token)->first();
            if (!$store) {
                abort(404, 'Site not found');
            }

            // verify
            if ($store->site === false) {
                abort(401, 'Unauthorized');
            }
            $request->attributes->add(['store' => $store]);
            return $next($request);
        }

        abort(422, 'Bad Request');

    }

}