<?php

namespace App\Http\Requests\Car;

use App\Http\Requests\Request;

class CreateRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'color_id'    => 'required|exists:color,id',
            'brand_id'    => 'required|exists:brand,id',
            'fipe_id'     => 'required|exists:fipe,id',
            'year'        => 'required',
            'observation' => 'required',
            'price'       => 'required',
            'km'          => 'required'
        ];
    }
}
