<?php

namespace App\Http\Requests\Plan;

use App\Http\Requests\Request;

class CreateRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'             => 'required|min:4|max:255',
            'price'             => 'required|numeric|min:1',
            'trial_period'      => 'integer',
            'transaction_price' => 'required|numeric|min:1',
            'qty_turbos'        => 'required|integer',
            'qty_car_queries'   => 'required|integer',
            'qty_transactions'  => 'required|integer',
            'status'            => 'in:0,1'
        ];
    }
}
