<?php

namespace App\Repasse\Integration\Cep\Local;

use App\Admin\Dashboard\Models\Cep;
use App\Repasse\Integration\Cep\CepFetchInterface;
use App\Repasse\Integration\Cep\DTO\FetchCepDTO;
use App\Repasse\Integration\Cep\ViaCep\ViaCepFetch;

class LocalCepFetch implements CepFetchInterface
{

    public function fetchCep($cep): FetchCepDTO
    {
        $cep = preg_replace("/[^0-9]/", "", $cep);
        $result = Cep::find($cep);
        if ($result) {
            return new FetchCepDTO($cep, $result->logradouro, $result->bairro, $result->cidade, $result->estado);
        }
        // cep não encontrado, baixar
        $cepFetch = new ViaCepFetch();
        $cepFetchResult = $cepFetch->fetchCep($cep);

        Cep::create([
            'cep' => $cep,
            'logradouro' => $cepFetchResult->getLogradouro(),
            'bairro' => $cepFetchResult->getBairro(),
            'cidade' => $cepFetchResult->getCidade(),
            'estado' => $cepFetchResult->getEstado()
        ]);
        return new FetchCepDTO($cepFetchResult->getCep(), $cepFetchResult->getLogradouro(), $cepFetchResult->getBairro(), $cepFetchResult->getCidade(), $cepFetchResult->getEstado());


    }
}