<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 19/12/2018
 * Time: 11:48
 */

namespace App\Repasse\Integration\Podio\Sessions;


use App\Admin\Dashboard\Models\PodioSession;

class PodioDatabaseSession implements PodioSessionInterface
{

    public function get($auth_type = null): \PodioOAuth
    {
        $podioSession = PodioSession::find(1);

        if ($podioSession) {
            return new \PodioOAuth(
                $podioSession->access_token,
                $podioSession->refresh_token,
                $podioSession->expires_in,
                [
                    'type' => $podioSession->ref_type,
                    'id' => $podioSession->ref_id
                ]
            );
        }

        return new \PodioOAuth();
    }

    public function set(\PodioOAuth $oauth, $auth_type = null)
    {

        $podioSession = PodioSession::find(1);

        if (!$podioSession) {
            PodioSession::firstOrCreate([
                'id' => 1,
                'access_token' => $oauth->access_token,
                'refresh_token' => $oauth->refresh_token,
                'expires_in' => $oauth->expires_in,
                'ref_type' => $oauth->ref['type'],
                'ref_id' => $oauth->ref['id']
            ]);
        } else {
            $podioSession->access_token = $oauth->access_token;
            $podioSession->refresh_token = $oauth->refresh_token;
            $podioSession->expires_in = $oauth->expires_in;
            $podioSession->ref_type = $oauth->ref['type'];
            $podioSession->ref_id = $oauth->ref['id'];
            $podioSession->save();
        }
    }
}