<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 20/09/2017
 * Time: 14:53
 */

namespace App\Repasse\Loan;


use App\Repasse\Ads\Financiamento;
use App\Repasse\Ads\Refinanciamento;

class Ad
{
    protected $user;
    protected $car;
    protected $availability;

    public function     __construct($user, $car, AvailabilityInterface $availability)
    {
        $this->user = $user;
        $this->car  = $car;
        $this->availability = $availability;
    }

    public function getAd() {
        // Selecionar produto
        // Se o anúncio é meu o produto é Refinanciamento
        $ad = false;
        if ($this->isMine()) {
            // Usuário tem que ser particular
            // #276 - Para refinanciamento usuário não pode ser lojista  13/10/2017
            // #281 - Refinanciamento apenas para carros a partir de 2008
            if ( ((int)$this->user->user_type !== 1) && ((int)$this->car->year > 2007) ) {
                // Refinanciamento
                // #275 - No refinanciamento o que importa é se o usuário está no município da função isAvailable
                //if ($this->availability->isAvailable($this->user->city)) { }


                    $refin = new Refinanciamento();
                    $ad = $refin->getAd();
                    return $ad;


            }

        } else {
            // Financiamento
            // No financiamento o veículo tem que estar na gd fpolis (método ad) e o comprador tem que estar na palhoça (método isAvailable)
            // Quem vê o anúncio tem que ser particular
            // Essa parte foi refatorado
            // #276 - A partir dessa atualização availability é uma interface que verifica duas situações person (usuário vendo o anúncio) e car (anúncio)
            // IMplementado StateAvailability onde o estado do usuário é verificado
            // @TODO: refatorar Availability para implementar essa interface
            if ( ((int)$this->user->user_type !== 1) && ((int)$this->car->year > 1997) && ( (int)$this->car->user->user_type !== 1) && ($this->availability->person($this->user->state) && $this->availability->car($this->car->user->state)) ) {

                    $fin = new Financiamento();
                    $ad = $fin->getAd();
                    return $ad;

            }
        }

    }

    public function isMine():bool {
        return (int)$this->user->id === (int)$this->car->user_id;
    }
}