<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 10/04/2018
 * Time: 15:51
 */

namespace App\Repasse\Moderator;


use App\Admin\Dashboard\Models\Car;
use Carbon\Carbon;
use Closure;
use Illuminate\Support\Facades\Log;

class CheckDuplicated implements ModeratorInterface
{
    protected $points = 5;

    protected $days = 60;

    protected $limit = 1;


    public function handle($content, Closure $next)
    {

        $data = Carbon::now();
        $dataPassada = $data->subDays($this->days)->startOfDay()->toDateTimeString();

        $duplicados = Car::where('id', '!=', $content->id)
            ->where('user_id', '=', $content->user->id)
            ->where('car_status_id', '!=', 4)
            ->where('fipe_id', '=', $content->fipe_id)
            ->where('created_at', '>', $dataPassada)->get();

        if ($duplicados->count() >= $this->limit ) {

            foreach ($duplicados as $duplicado) {
                $content->reasons[] = [
                    'analise' => 'Duplicidade',
                    'score' => $this->points,
                    'car_id' => $duplicado->id,
                    'reason' => "Este anúncio tem os mesmos dados de outro anúncio do mesmo usuário dentro do período de {$this->days} dias"
                ];
            }

            $content->score -= $this->points;
        }

        return $next($content);
    }
}