<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 09/04/2018
 * Time: 12:44
 */

namespace App\Repasse\Moderator;


use App\Auth\Models\UserType;
use Closure;
use Log;

class CheckUserType implements ModeratorInterface
{

    protected $points = 5;

    public function handle($content, Closure $next)
    {
        Log::info("Iniciou passagem pelo checkusertype, Anúncio {$content->id} score: {$content->score} ");

        if ( (int)$content->user->user_type === UserType::PARTICULAR || (int)$content->user->user_type === UserType::CORRETOR) {
            Log::info('Usuário particular/corretor');
            $content->reasons[] = [
                'analise' => 'Tipo de usuário',
                'score' => $this->points,
                'reason' => 'Anúncio de particular ou corretor de imóveis'
            ];

            $content->score -= $this->points;

        }

        return $next($content);
    }
}