<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 19/07/2018
 * Time: 14:14
 */

namespace App\Repasse\Products\Turbo;


use App\Admin\Dashboard\Models\Car;
use App\Admin\Dashboard\Models\CarTurbo;
use App\Core\Jobs\NewCarJob;
use App\Repasse\CarUtil;
use Carbon\Carbon;
use Illuminate\Foundation\Bus\DispatchesJobs;

class ScheduleTurbo
{
    use DispatchesJobs;

    protected $car;
    protected $pedido;

    public function __construct(CarTurbo $pedido)
    {
        $this->pedido = $pedido;
    }

    public function run()
    {

        // recebe um car e monta um car_object pra NewCarJob
        // recebe car_turbo (pedido)
        // faz todos os agendamentos do anúncio caso ele esteja apto a ser turbinado
        // se ele é delayed só chega aqui no momento que a moderação aprovar

        $inicio = Carbon::now();
        $boost = Carbon::now();
        $final = Carbon::now()->addHours($this->pedido->ad_airtime_hours);
        //$final = Carbon::now()->addHours(12)->diffInSeconds();

        // Atualizar o status do pedido e solicitar a emissão dos turbos combinados
        $contratado = $this->pedido->hired;
        // Alterar status do anúncio para 9 patrocinado.
        $Car = Car::find($this->pedido->car_id);
        $Car->car_status_id = 9;
        $Car->boosted_until = $final;
        $Car->save();

        $CarUtil = new CarUtil($Car);
        $car_object = $CarUtil->getCarObject();

        $i = 1;

        $primeiroTurboJob = (new NewCarJob($car_object, true))->onQueue('turbo');
        $this->dispatch($primeiroTurboJob);


        $i++;
        if ($this->pedido->fulfilled !== $contratado) {
            for ( ; $i <= $contratado; $i++) {
                $proximo = $boost->addHours($this->pedido->boost_interval_hours);
                $segundos = $proximo->diffInSeconds($inicio);
                $turbo = (new NewCarJob($car_object, true))->onQueue('turbo')->delay($segundos);
                $this->dispatch($turbo);
            }
        }

        $this->pedido->delayed_schedule = false;
        $this->pedido->save();

    }

}