<?php

namespace App\Transformers\CarQuery;

use App\Transformers\Transformer;

class CarQueryTransformer extends Transformer
{
    public function transform( $value )
    {
        return [
            'success' => true,
        	'data' => [
                'id'            => (integer)$value->id,
	        	'order_id'      => (integer)$value->order_id,
                'license_plate' => $value->license_plate,
                'response'      => json_decode( $value->response ),
                'created_at'    => $value->created_at->format('Y-m-d H:i:s'),
                'updated_at'    => $value->updated_at->format('Y-m-d H:i:s'),
	        ]
        ];
    }

    public function transformCollection ( $values )
    {
        $data = [];
        foreach ( $values as $value ) {
            $data[] = $this->transform( $value );
        }

        return [
            'success' => true,
            'data'  => [
                'totals'       => $values->total(),
                'per_page'     => $values->perPage(),
                'current_page' => $values->currentPage(),
                'items'        => $data,
            ]
        ];
    }
}