<?php

namespace App\Transformers\Plan;

use App\Transformers\Transformer;

class PlanTransformer extends Transformer
{
    public function transform( $value )
    {
        return [
            'success' => true,
        	'data' => [
	        	'id'               => (integer)$value->id,
                'title'            => $value->title,
                'slug'             => $value->slug,
                'price'            => (double)$value->price,
                'trial_period'     => $value->trial_period,
                'transaction_price'=> (double)$value->transaction_price,
                'qty_turbos'       => $value->qty_turbos,
                'qty_car_queries'  => $value->qty_car_queries,
                'qty_transactions' => $value->qty_transactions,
                'created_at'       => $value->created_at->format( 'Y-m-d H:i:s' ),
                'updated_at'       => $value->updated_at->format( 'Y-m-d H:i:s' ),
                'status'           => (integer)$value->status
	        ]
        ];
    }

    public function transformCollection ( $values )
    {
        $data = [];
        foreach ( $values as $value ) {
            $data[] = [
                'id'               => (integer)$value->id,
                'title'            => $value->title,
                'slug'             => $value->slug,
                'price'            => (double)$value->price,
                'trial_period'     => $value->trial_period,
                'transaction_price'=> (double)$value->transaction_price,
                'qty_turbos'       => $value->qty_turbos,
                'qty_car_queries'  => $value->qty_car_queries,
                'qty_transactions' => $value->qty_transactions,
                'created_at'       => $value->created_at->format( 'Y-m-d H:i:s' ),
                'updated_at'       => $value->updated_at->format( 'Y-m-d H:i:s' ),
                'status'           => (integer)$value->status
            ];
        }

        return [
            'success' => true,
            'data'  => [
                'totals'       => $values->total(),
                'per_page'     => $values->perPage(),
                'current_page' => $values->currentPage(),
                'items'        => $data,
            ]
        ];
    }
}