<?php

namespace App\Transformers\Site;

use App\Admin\Role\Models\Role;
use App\Transformers\Transformer;

class SiteTransformer extends Transformer
{
    public function transform( $site )
    {
        return [
            'success' => true,
        	'data' => [
	        	'id'                    => $site->id,
                'title'                 => $site->title,
                'domain'                => $site->domain,
                'domain_status'         => [
                    'label' => $site->domain_status_label,
                    'value' => $site->domain_status
                ],
                'name'                  => $site->name,
                'slug'                  => $site->slug,
                'about_text'            => $site->about_text,
                'mission_text'          => $site->mission_text,
                'vision_text'           => $site->vision_text,
                'values_text'           => $site->values_text,
                'opening_hours'         => $site->opening_hours,
                'main_logo'             => $site->main_logo,
                'footer_logo'           => $site->footer_logo,
                'cnpj'                  => $site->cnpj,
                'phone'                 => $site->phone,
                'email'                 => $site->email,
                'social_networks'       => $site->social_networks,
                'colors'                => $site->colors,
                'zipcode'               => $site->zip_code,
                'city'                  => [
                    'id'    => $site->city->id ?? null,
                    'name'  => $site->city->name ?? null,
                    'state' => $site->city->state ?? null,
                ],
                'neighborhood'          => $site->neighborhood,
                'street'                => $site->street,
                'number'                => $site->number,
                'registration_status'   => $site->registration_status,
                'status'                => $site->status
	        ]
        ];
    }
}