<?php

/*
|--------------------------------------------------------------------------
| Model Factories
|--------------------------------------------------------------------------
|
| Here you may define all of your model factories. Model factories give
| you a convenient way to create models for testing and seeding your
| database. Just tell the factory how a default model should look.
|
*/

use App\Admin\Dashboard\Models\Car;

$factory->define( \App\Auth\Models\User::class, function (Faker\Generator $faker) {
    return [
        'name' => $faker->name,
        'email' => $faker->email,
        'phone' => $faker->phoneNumber,
        'cell_phone' => $faker->phoneNumber,
        'document' => '97865432100',
        'password' => str_random(10),
        'remember_token' => str_random(10),
    ];
});


$factory->define(App\Admin\Dashboard\Models\UserRating::class, function(Faker\Generator $faker) {
    return [
        'user_id',
        'rating' => $faker->randomElement([1,2,3,4,5]),
        'observation' => $faker->text(200),
        'fipe' => $faker->randomElement([10,15,20])
    ];
});

$factory->define(App\Admin\Dashboard\Models\Store\Store::class, function(Faker\Generator $faker) {
    return [
        'company_name' => $faker->name,
        'trade_name' => $faker->company,
        'cnpj' => $faker->numerify('##############'),
        'city_id' => 4660
    ];
});

$factory->define(App\Admin\Role\Models\Role::class, function(Faker\Generator $faker) {
    return [

    ];
});

$factory->define(Car::class, function(Faker\Generator $faker) {
    return [
        'color_id' => 1,
        'door_id' => 1,
        'fipe_id' => 1,
        'brand_id'  => 1,
        'model_id' => 1,
        'car_status_id' => 1,
        'year' => 1998,
        'observation' => 'cria da factory',
 ];
});