<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('role_id')->unsigned();
            $table->string('name');
            $table->string('email')->unique();
            $table->string('dealership');
            $table->string('document', 32);
            $table->string('zipcode', 16);
            $table->string('address');
            $table->string('number', 8);
            $table->string('neighborhood');
            $table->string('city');
            $table->string('state');
            $table->string('phone');
            $table->string('cell_phone');
            $table->string('photo');
            $table->string('latitude');
            $table->string('longitude');
            $table->string('password', 60);
            $table->integer('is_aprovado');
            $table->rememberToken();
            $table->timestamps();
            $table->foreign('role_id')->references('id')->on('role');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('user');
    }
}
