<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMessagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('messages', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('room_id')->unsigned();
            $table->integer('vendedor_id')->unsigned();
            $table->integer('comprador_id')->unsigned();
            $table->text('message');
            $table->string('image');
            $table->string('audio');
            $table->foreign('room_id')->references('id')->on('rooms');
            $table->foreign('vendedor_id')->references('id')->on('user');
            $table->foreign('comprador_id')->references('id')->on('user');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('messages');
    }
}
