<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CorrecaoDaExclusaoPerfilMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('user_profile', function (Blueprint $table) {
            $table->dropForeign('user_profile_state_id_foreign');
            $table->dropForeign('user_profile_user_id_foreign');

            $table->foreign('user_id')->references('id')->on('user')->onDelete('cascade');
            $table->foreign('state_id')->references('id')->on('states')->onDelete('cascade');

        });

        Schema::table('user_profile_car_type', function (Blueprint $table) {
            $table->dropForeign('user_profile_car_type_car_type_foreign');
            $table->dropForeign('user_profile_car_type_profile_id_foreign');

            $table->foreign('profile_id')->references('id')->on('user_profile')->onDelete('cascade');
            $table->foreign('car_type')->references('id')->on('car_types')->onDelete('cascade');
        });

        Schema::table('user_profile_ddd', function (Blueprint $table) {
            $table->dropForeign('user_profile_ddd_ddd_id_foreign');
            $table->dropForeign('user_profile_ddd_profile_id_foreign');

            $table->foreign('profile_id')->references('id')->on('user_profile')->onDelete('cascade');
            $table->foreign('ddd_id')->references('id')->on('state_ddds')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('user_profile', function (Blueprint $table) {
            $table->dropForeign('user_profile_state_id_foreign');
            $table->dropForeign('user_profile_user_id_foreign');

            $table->foreign('user_id')->references('id')->on('user');
            $table->foreign('state_id')->references('id')->on('states');
        });

    }
}
