<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class NaoDuplicarPropostasMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        \App\Admin\Dashboard\Models\Loan::truncate();

        Schema::table('loans', function(Blueprint $table) {
            // coluna
            $table->unsignedInteger('car_id');
            // chave estrangeira
            $table->foreign('car_id')->references('id')->on('car')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('loans', function(Blueprint $table) {
            //remover chave
            $table->dropForeign(['car_id']);
            // remover coluna
            $table->dropColumn('car_id');


        });
    }
}
