<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;


class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::create('products', function(Blueprint $table) {
            $table->increments('id');
            $table->integer('type_id')->unsigned();
            $table->string('name');
            $table->string('description');
            $table->integer('price');
            $table->json('options');
            $table->timestamps();
        });

        \App\Admin\Dashboard\Models\Product::create(['type_id' => 1, 'name' => 'Anúncio Patrocinado 1', 'description' => '1 vez no Topo R$ 10,00', 'price' => 1000, 'options' => ['hired' => 1, 'boost_interval_hours' => 0, 'ad_airtime_hours' => 6] ]);
        \App\Admin\Dashboard\Models\Product::create(['type_id' => 1, 'name' => 'Anúncio Patrocinado 2', 'description' => '2 vezes no Topo R$ 18,00', 'price' => 1800, 'options' => ['hired' => 2, 'boost_interval_hours' => 6, 'ad_airtime_hours' => 12]]);
        \App\Admin\Dashboard\Models\Product::create(['type_id' => 1, 'name' => 'Anúncio Patrocinado 3', 'description' => 'A cada 12 horas R$ 26,00', 'price' => 2600, 'options' => ['hired' => 6, 'boost_interval_hours' => 12, 'ad_airtime_hours' => 72]]);
        \App\Admin\Dashboard\Models\Product::create(['type_id' => 1, 'name' => 'Anúncio Patrocinado 4', 'description' => 'A cada 06 horas R$ 45,00', 'price' => 4500, 'options' => ['hired' => 20, 'boost_interval_hours' => 6, 'ad_airtime_hours' => 120]]);

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::drop('products');
    }
}
