<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTurboTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::create('car_turbo', function(Blueprint $table) {
            //
            $table->increments('id');
            $table->integer('user_id')->unsigned();
            $table->integer('car_id')->unsigned();
            $table->integer('product_id')->unsigned();
            $table->integer('price');
            $table->integer('status')->unsigned();
            $table->string('order_id')->nullable()->index();
            $table->string('order_status')->nullable();
            $table->string('checkout_link')->nullable();
            $table->integer('hired')->nullable();
            $table->integer('fulfilled')->nullable();
            $table->integer('boost_interval_hours')->nullable();
            $table->integer('ad_airtime_hours')->nullable();
            $table->timestamps();
            $table->foreign('user_id')->references('id')->on('user');
            $table->foreign('car_id')->references('id')->on('car');
            $table->foreign('product_id')->references('id')->on('products');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::drop('car_turbo');
    }
}
