<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePlansTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('plans', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title');
            $table->string('slug');
            $table->decimal('price', 11,2);
            $table->integer('trial_period')->nullable()->default(0)->comment('Dias grátis a partir da ativação');
            $table->decimal('transaction_price', 11,2)->comment('Valor por transação adicional');
            $table->integer('qty_turbos')->nullable()->default(0)->comment('Quantidade de Turbos dispponíveis para o plano');
            $table->integer('qty_car_queries')->nullable()->default(0)->comment('Quantidade de consultas veiculares dispponíveis para o plano');
            $table->integer('qty_transactions')->nullable()->default(0)->comment('Quantidade de transações dispponíveis para o plano');
            $table->tinyInteger('status')->default(1)->comment('0=Disabled, 1=Enabled');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('plans');
    }
}
