<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

class ChangeTransactionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('transactions', function (Blueprint $table) {
            $table->dropColumn('store_id');
            $table->dropColumn('voucher');

            $table->integer('car_id')->after('user_id')->unsigned();
            $table->tinyInteger('type')->comment('1=Transação de Venda, 2=Transação de Compra');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //

        Schema::table('transactions', function (Blueprint $table) {
            $table->dropColumn('car_id');
            $table->dropColumn('type');

            $table->integer('store_id');
            $table->string('voucher');
        });

    }
}
