<?php

use App\Admin\Dashboard\Models\Store\Store;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class StoresCarMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //

        \DB::beginTransaction();

        try {

            $loja_particular = Store::where('cnpj', '33333333333333')->first();
            // Todos os carros do tipo particular?
            // todos os ids de particulares (
            // ->whereNull('store_id')
            $particulares = \App\Auth\Models\User::where('user_type', 3)->where('is_aprovado', '<>',
                0)->lists('id')->toArray();

            // todos os carros sem store_id com user id dessa lista
            \App\Admin\Dashboard\Models\Car::whereIn('user_id', $particulares)->whereNull('store_id')->chunk(400,
                function ($cars) use ($loja_particular) {
                    foreach ($cars as $car) {
                        $car->store_id = $loja_particular->id;
                        $car->save();
                    }
                });

            $loja_corretor = Store::where('cnpj', '44444444444444')->first();
            $corretores = \App\Auth\Models\User::where('user_type', 4)->where('is_aprovado', '<>',
                0)->lists('id')->toArray();

            \App\Admin\Dashboard\Models\Car::whereIn('user_id', $corretores)->whereNull('store_id')->chunk(400, function($cars) use($loja_corretor) {
                foreach($cars as $car) {
                    $car->store_id = $loja_corretor->id;
                    $car->save();
                }
            });


            \DB::commit();
        } catch (\Exception $e) {
            \DB::rollback();
            Log::error( $e->getMessage() . ' on file ' . $e->getFile() . ' on line ' . $e->getLine() );
        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
