<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSitesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sites', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->unsigned();;
            $table->tinyInteger('template')->default(1);
            $table->string('title', 255)->nullable();
            $table->string('domain', 255)->nullable();
            $table->char('domain_status', 2)->index()->nullable();
            $table->string('name', 150);
            $table->string('slug', 255);
            $table->longText('about_text')->nullable();
            $table->text('mission_text')->nullable();
            $table->text('vision_text')->nullable();
            $table->text('values_text')->nullable();
            $table->text('opening_hours')->nullable();
            $table->string('main_logo', 255)->nullable();
            $table->string('footer_logo', 255)->nullable();
            $table->string('cnpj', 20)->nullable();
            $table->string('phone', 20)->nullable();
            $table->string('email', 100)->nullable();
            $table->json('social_networks')->nullable();
            $table->json('colors')->nullable();
            $table->string('zipcode', 10);
            $table->integer('city_id')->unsigned();;
            $table->string('neighborhood', 255)->nullable();
            $table->string('street', 255)->nullable();
            $table->string('number', 10)->nullable();
            $table->boolean('status')->default(0);
            $table->boolean('registration_status')->default(0);
            $table->string('token', 255)->nullable();
            $table->timestamps();

            $table->foreign('user_id')
                ->references('id')
                ->on('user')
                ->onDelete('CASCADE');

            $table->foreign('city_id')
                ->references('id')
                ->on('cities')
                ->onDelete('NO ACTION');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sites', function (Blueprint $table) {
            //
        });
    }
}
