import Vue from 'vue';
import VueTheMask from 'vue-the-mask';
import swal from 'sweetalert';
import axios from 'axios';

Vue.use(VueTheMask);


var telaAvisoId = document.getElementById('tela-aviso');


if (telaAvisoId) {

    var telaAviso = new Vue({
        el: "#tela-aviso",
        data() {
            return {
                name: null,
                type: '',
                tela_destino: '',
                url_destino: null,
                func_destino: '',
                site_disabled: true,
                internal_disabled: true,
                func_disabled: true,
                target: [],
                file: '',
                imagePreview: '',
                showPreview: false,
                file_url: null
            }
        },
        methods: {
            handleChange: function (event) {
                console.log(event.target.value);
                switch (event.target.value) {
                    case "1":
                        this.site_disabled = false;
                        this.internal_disabled = true;
                        this.func_disabled = true;
                        break;
                    case "2":
                        this.site_disabled = true;
                        this.internal_disabled = false;
                        this.func_disabled = true;
                        break;
                    case "3":
                        this.site_disabled = true;
                        this.internal_disabled = true;
                        this.func_disabled = false;
                        break;
                    default:
                        this.site_disabled = true;
                        this.internal_disabled = true;
                        this.func_disabled = true;
                        break;
                }
            },
            handleFilePreview: function (event) {
                this.file = event.target.files[0];
                console.log('asfuasfuha');
                let reader = new FileReader();
                reader.addEventListener("load", function () {
                    console.log('reader has been loaded');
                    this.imagePreview = reader.result;
                    this.showPreview = true;

                }.bind(this), false);

                if (this.file) {
                    console.log('this.file is true');

                    if (/\.(jpe?g|png|gif)$/i.test(this.file.name)) {
                        /*
                          Fire the readAsDataURL method which will read the file in and
                          upon completion fire a 'load' event which we will listen to and
                          display the image in the preview.
                        */
                        console.log('file is valid');
                        reader.readAsDataURL(this.file);
                    }
                }
            },
            handleRepost: function (event) {
                console.log(event.currentTarget.getAttribute('data-nome'));
                this.name = event.currentTarget.getAttribute('data-nome');
                this.type = event.currentTarget.getAttribute('data-type');
                this.target = JSON.parse(event.currentTarget.getAttribute('data-target'));
                var file_url = event.currentTarget.getAttribute('data-file');
                this.imagePreview = '/uploads/ads/' + file_url;
                this.showPreview = true;
                this.file_url = file_url;
                var destination = event.currentTarget.getAttribute('data-destination');

                switch (this.type) {
                    case "1":
                        this.site_disabled = false;
                        this.url_destino = destination;
                        this.internal_disabled = true;
                        this.tela_destino = '';
                        this.func_disabled = true;
                        this.func_destino = '';
                        break;
                    case "2":
                        this.site_disabled = true;
                        this.url_destino = null;
                        this.internal_disabled = false;
                        this.tela_destino = destination;
                        this.func_disabled = true;
                        this.func_destino = '';
                        break;
                    case "3":
                        this.site_disabled = true;
                        this.url_destino = null;
                        this.internal_disabled = true;
                        this.tela_destino = '';
                        this.func_disabled = false;
                        this.func_destino = destination;
                        break;
                    default:
                        this.site_disabled = true;
                        this.url_destino = null;
                        this.internal_disabled = true;
                        this.tela_destino = null;
                        this.func_disabled = true;
                        this.func_destino = null;
                        break;
                }
            }

        }
    });
}


var confirmarEmailId = document.getElementById('form-usuario');

if (confirmarEmailId) {
    var confirmarEmail = new Vue({
        el: '#form-usuario',
        data: {
            errors: [],
            isDisabled: true,
            btnSalvar: true,
            btnExcluir: true
        },
        methods: {
            confirmChange: function () {
                swal({
                    title: 'Confirmar',
                    text: 'Se o usuário estiver logado, ele perderá acesso ao aplicativo. Deseja continuar?',
                    icon: "warning",
                    dangerMode: true,
                    buttons: {
                        cancel: {
                            text: "Cancelar",
                            value: null,
                            visible: true,
                            className: "",
                            closeModal: true,
                        },
                        confirm: {
                            text: "Confirmar",
                            value: true,
                            visible: true,
                            className: "",
                            closeModal: true
                        }
                    }
                }).then(function (confirmar) {
                    if (confirmar) {
                        confirmarEmail.isDisabled = false;
                    } else {
                        confirmarEmail.isDisabled = true;
                    }
                });

            },
            addBlacklist: function (type, data, reason) {
                swal({
                    title: 'Confirmar',
                    text: 'Deseja adicionar o dado selecionado na lista de restrição?',
                    icon: "warning",
                    dangerMode: true,
                    buttons: {
                        cancel: {
                            text: "Cancelar",
                            value: null,
                            visible: true,
                            className: "",
                            closeModal: true,
                        },
                        confirm: {
                            text: "Confirmar",
                            value: true,
                            visible: true,
                            className: "",
                            closeModal: true
                        }
                    }
                }).then(function (confirmar) {
                    if (confirmar) {
                        axios.post('/admin/config/blacklist/new', {
                            'blacklist_type': type,
                            'blacklist_value': data,
                            'blacklist_reason': reason
                        }).then(response => {
                            swal('Incluído com sucesso!');
                        }).catch(e => {
                            console.log(e.response.data);
                            alert(JSON.stringify(e.response.data));
                        });
                    }
                });

            },
            removeUser: function (user_id) {
                swal({
                    title: 'Confirmar',
                    text: 'Deseja excluir o usuário? Esta ação não pode ser desfeita.',
                    icon: "warning",
                    dangerMode: true,
                    buttons: {
                        cancel: {
                            text: "Cancelar",
                            value: null,
                            visible: true,
                            className: "",
                            closeModal: true,
                        },
                        confirm: {
                            text: "Confirmar",
                            value: true,
                            visible: true,
                            className: "",
                            closeModal: true
                        }
                    }
                }).then(function (confirmar) {
                    if (confirmar) {
                        axios.delete('/admin/user/' + user_id).then(response => {
                            swal(response.data.msg);
                            confirmarEmail.btnExcluir = false;
                            confirmarEmail.btnSalvar = false;
                        }).catch(e => {
                            console.log(e.response.data);
                            swal({
                                title: 'Ocorreu um erro',
                                text: 'Ao remover um usuário o sistema encontrou um erro, contate o suporte para remover o usuário ' + user_id + ' manualmente'
                            });
                        });
                    }
                });
            }
        },
    });
}




var telaModeloId = document.getElementById('tela-modelo');

if (telaModeloId) {
    var Modelo = new Vue({
        el: '#tela-modelo',
        methods: {
            removeVinculo: function (code) {
                swal({
                    title: 'Confirmar',
                    text: 'Por consistência de dados, ao remover o vínculo, todos os anos do código: ' + code + ' também serão removidos. Deseja continuar?',
                    icon: "warning",
                    dangerMode: true,
                    buttons: {
                        cancel: {
                            text: "Cancelar",
                            value: null,
                            visible: true,
                            className: "",
                            closeModal: true,
                        },
                        confirm: {
                            text: "Confirmar",
                            value: true,
                            visible: true,
                            className: "",
                            closeModal: true
                        }
                    }
                }).then(function (confirmar) {

                    if (confirmar) {
                        // axios //sucesso // reload
                        axios.post('/admin/fipe/orfaos/create', {
                            'fipe_code': code
                        }).then(response => {
                            swal('Removido com sucesso!').then(function () {
                                window.location.reload();
                            });
                            // Reload
                        }).catch(e => {
                            console.log(e.response.data);
                            alert('Ocorreu um erro');
                        });
                    }
                });
            }
        }
    });
}