@extends('emails.layout')
@section('content')
Este é um e-mail informativo de que uma denúncia foi efetuada em um anúncio do aplicativo.
<br />
Anunciante:
<ul>
    <li>Tipo: {{$anunciante->type['name']}}</li>
    <li>Responsável: {{ $anunciante->name  }}</li>
    <li>Loja: {{ $anunciante->dealership  }}</li>
    <li>Email:{{ $anunciante->email }}</li>
    <li>Telefone: {{ $anunciante->phone  }}</li>
    <li>Celular: {{ $anunciante->cell_phone  }}</li>
    <li>Documento: {{ $anunciante->document  }}</li>
</ul>
Anúncio:
<a href="{{ route('admin.report.anuncio', $anuncio->id)  }}">Visualizar anúncio</a>
<ul>
    <li>Carro: {{ $anuncio->brand->name  }} {{ $anuncio->fipe->model  }} {{ $anuncio->year  }}/{{ $anuncio->fipe->year }} </li>
    <li>Preço R$: {{ number_format($anuncio->price, 2, ',', '.') }} Preço FIPE R$: {{ number_format($anuncio->fipe->price, 2, ',', '.')  }}</li>
    <li>KM: {{$anuncio->km}} Cor: {{ $anuncio->color->name }} Portas: {{ $anuncio->doors  }} </li>
    <li>Combustível: {{ $anuncio->fipe->fuel  }}</li>
    <li>Observação: {{$anuncio->observation}}</li>
    <li>Opcionais:
        <ul>
            @foreach ($anuncio->optionals as $optional)
                <li>{{ $optional['name'] }}</li>
            @endforeach
        </ul>
    </li>
    <li>Imagens:
        <ul>
            @foreach ($anuncio->photos as $photo)
                <li><a href="{{url('/uploads/gallery') }}/{{$photo['filename']}}"><img src="{{url('/uploads/gallery') }}/{{$photo['filename']}}"></a></li>
            @endforeach
        </ul>
    </li>
    <li>Publicado para:
        <ul>
            @foreach($anuncio->visible_to as $destino)
                <li>{{$destino->name}}</li>
            @endforeach
        </ul>
    </li>
</ul>
<br />
Denunciante:
<ul>
    <li>Tipo: {{$denunciante->type->name}}</li>
    <li>Responsável: {{ $denunciante['name']  }}</li>
    <li>Loja: {{ $denunciante['dealership']  }}</li>
    <li>Email:{{ $denunciante['email']  }}</li>
    <li>Telefone: {{ $denunciante['phone']  }}</li>
    <li>Celular: {{ $denunciante['cell_phone']  }}</li>
    <li>Documento: {{ $denunciante['document']  }}</li>
    <li>Motivo: {{ $motivo  }}</li>
    <li>Observação: {{ isset($observacao) ? $observacao : 'Não informado'  }}</li>
</ul>

<p>Este é um lembrete amigável de que se isto fosse feito da forma certa você teria uma tela para acompanhar as denúncias.</p>

@endsection