<?php $__env->startSection('content'); ?>
    <section id="dashboard-content">
        <div class="panel panel-default" id="form-usuario">
            <div class="panel-heading">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <?php if(session()->has('errors')): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php foreach($errors->all() as $error): ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <h3 class="card-title" style="padding-left: 15px;">Loja</h3>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="panel-body">
                        <div class="card">
                            <div class="card-block">
                                <div class="row">
                                    <div class="col-xs-6">
                                        <h4>Dados da Loja</h4>
                                        <ul class="list-unstyled">
                                            <li><span>Id:</span> <?php echo e($store->id); ?></li>
                                            <li><span>Proprietário:</span> <?php echo e(($store->owner->name) ?? 'Sem dono'); ?></li>
                                            <li><span>Nome:</span> <?php echo e($store->company_name); ?></li>
                                            <li><span>Nome Fantasia:</span> <?php echo e($store->trade_name); ?></li>
                                            <li><span>Documento (CPF/CNPJ):</span> <?php echo e($store->cnpj); ?></li>
                                            <li><span>Endereço:</span> <?php echo e($store->street); ?>, <?php echo e($store->number); ?> <?php echo e($store->neighborhood); ?> - <?php echo e(isset($store->city->name) ? $store->city->name : ''); ?> <?php echo e(isset($store->city->state->initials) ? $store->city->state->initials : ''); ?> <?php echo e($store->complement); ?> <?php echo e($store->landmark); ?> <?php echo e($store->zipcode); ?></li>
                                            <li><span>Cadastro:</span> <?php echo e($store->created_at->format('d/m/Y H:i:s')); ?></li>
                                            <?php if( !($store->cnpj === '33333333333333' || $store->cnpj === '44444444444444')): ?>
                                            <li>
                                                <span>Possui site:</span> <?php echo e(($store->site) ? 'Sim' : 'Não'); ?>

                                                <button type="button"
                                                        id="btn-site"
                                                        data-store="<?php echo e($store->id); ?>"
                                                        title="Ativar/Desativar site do cliente"
                                                        class="btn btn-xs btn-default">
                                                    <i class="fa <?php echo e($store->site ? 'fa-toggle-on' : 'fa-toggle-off'); ?>"></i>
                                                </button>
                                            </li>
                                            <?php if($store->site): ?>
                                                <li>
                                                    <span>Token:</span> <?php echo e($store->store_token); ?>

                                                    <button type="button"
                                                            id="btn-refresh"
                                                            title="Regerar token do site"
                                                            data-store="<?php echo e($store->id); ?>"
                                                            class="btn btn-xs btn-default">
                                                        <i class="fa fa-refresh"></i>
                                                    </button>
                                                </li>
                                                <li>
                                                    <span>Site:</span> <?php echo e($store->site_url); ?>

                                                    <button type="button"
                                                            id="btn-url"
                                                            data-store="<?php echo e($store->id); ?>"
                                                            class="btn btn-xs btn-default">
                                                        <i class="fa fa-pencil"></i>
                                                    </button>
                                                </li>
                                            <?php endif; ?>
                                                <div x-data="dropdown">
                                                <li>
                                                    <span>Repasse Express:</span>

                                                    <button type="button"
                                                            class="btn btn-xs btn-default"
                                                            >
                                                        <i class="fa " x-bind:class="entrega ? 'fa-toggle-on' : 'fa-toggle-off' " x-on:click="changeEntrega"></i>
                                                    </button>
                                                    <i class="fa fa-spin fa-spinner" x-show="loading"></i>

                                                </li>
                                                </div>
                                        </ul>
                                        <?php endif; ?>

                                    </div>
                                    <div class="col-xs-6">
                                        <h4>Usuários da Loja</h4>
                                        <ul>
                                            <?php if(!empty($store->staff) && !($store->cnpj === '33333333333333' || $store->cnpj === '44444444444444') ): ?>
                                                <?php foreach($store->staff as $staff): ?>
                                                    <li><a href="<?php echo e(route('admin.user.edit', $staff->id)); ?>"><?php echo e($staff->id); ?>:
                                                            <?php echo e($staff->name); ?></a> (<?php echo e(($staff->pivot->status === 1) ? 'Ativo' : 'Inativo'); ?>)
                                                        <?php if($staff->roles): ?>
                                                            <ul>
                                                                <?php foreach($staff->roles as $staff): ?>
                                                                    <li><?php echo e($staff->display_name); ?></li>
                                                                <?php endforeach; ?>
                                                            </ul>
                                                        <?php endif; ?>
                                                    </li>
                                                <?php endforeach; ?>
                                            <?php endif; ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function() {
            var btnrefresh = $("#btn-refresh");
            btnrefresh.click(function() {
                if (confirm('Deseja regerar o token de acesso desta loja?')) {
                    btnrefresh.attr('disabled', 'disabled');
                    var data = {
                        "_token": '<?php echo e(csrf_token()); ?>',
                        store_id: btnrefresh.data('store'),
                    };
                    $.ajax({
                        url: '<?php echo e(route('admin.ajax.store.generatetoken')); ?>',
                        method: 'POST',
                        dataType: 'json',
                        data: data,
                        error: function() {
                            alert('ocorreu um erro.');
                        }
                    }).done(function() {
                        alert('Token gerado com sucesso');
                        window.location.reload();
                    });
                }
            });


            var btnsite = $("#btn-site");
            btnsite.click(function() {
                if (confirm('Deseja alterar o acesso ao site desta loja?')) {
                    btnsite.attr('disabled', 'disabled');
                    var data = {
                        "_token": '<?php echo e(csrf_token()); ?>',
                        store_id: btnsite.data('store'),
                    };
                    $.ajax({
                        url: '<?php echo e(route('admin.ajax.store.changesite')); ?>',
                        method: 'POST',
                        dataType: 'json',
                        data: data,
                        error: function() {
                            alert('ocorreu um erro.');
                        }
                    }).done(function() {
                        alert('Alterado com sucesso');
                        window.location.reload();
                    });
                }
            });

            var btnurl = $("#btn-url");
            btnurl.click(function() {
                var url =  prompt('Informe o site do cliente', 'http://');

                if (url === null || url === '') {
                    // cancelado
                    return true;
                } else {
                    var data = {
                        "_token": '<?php echo e(csrf_token()); ?>',
                        store_id: btnurl.data('store'),
                        url: url
                    };

                    $.ajax({
                        url: '<?php echo e(route('admin.ajax.store.setsiteurl')); ?>',
                        method: 'POST',
                        dataType: 'json',
                        data: data,
                        error: function() {
                            alert('ocorreu um erro.');
                        }
                    }).done(function() {
                        alert('Alterado com sucesso');
                        window.location.reload();
                    });
                }
            });
        });

        document.addEventListener('alpine:init', () => {
            Alpine.data('dropdown', () => ({
                entrega: <?php echo e($store->has_delivery); ?>,
                loading: false,
                async changeEntrega() {
                    this.loading = true;
                    fetch('<?php echo e(route('admin.ajax.store.changedelivery', ['store_id' => $store->id])); ?>').then(res => res.json()).then(res => {
                        this.loading = false;
                        console.log(res);
                        this.entrega = res.store.has_delivery;
                    });
                }
            }));
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>