<?php $collapse = 'anuncio'; ?>

<?php $__env->startSection('content'); ?>
    <section id="dashboard-content">
        <div class="col-xs-12 section-content" id="moderar">
            <div class="row">
                <div class="col-xs-12" >
                    <!-- Nav tabs -->
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active"><a id="linkanuncios" href="#home" aria-controls="home" role="tab" data-toggle="tab">Anúncios Novos e Edições (<?php echo e(count($moderar)); ?>)</a></li>
                        <li role="presentation"><a href="#denuncia" id="linkdenuncias" aria-controls="denuncia" role="tab" data-toggle="tab" >Denúncias (<?php echo e(count($denuncia)); ?>)</a></li>
                    </ul>
                    <div class="tab-content" id="moderar-content">
                        <div class="row tab-pane active" role="tabpanel" id="home">
                            <div class="col-xs-12">
                                <?php if(count($moderar) < 1): ?>
                                    <p>Não há anúncios para moderar</p>
                                <?php else: ?>
                                    <table class="table table-condensed table-hover">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>Cadastro</th>
                                            <th>Tipo</th>
                                            <th>Anunciante</th>
                                            <th>Telefone</th>
                                            <th>Marca</th>
                                            <th>Modelo</th>
                                            <th>Ano</th>
                                            <th>Valor/Fipe</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php foreach($moderar as $m): ?>
                                            <tr onclick="location.href='<?php echo e(route('admin.moderar.anuncio', $m->id)); ?>'" class="linha <?php echo e($m->is_edited ? 'warning' : ''); ?>">
                                                <td><img src="<?php echo e(url('/uploads/gallery/' . $m->image)); ?>" width="50" height="38"></td>
                                                <td><?php echo e(date('d/m/Y H:i:s', strtotime($m->created_at))); ?></td>
                                                <td><?php echo e($m->user->type['name']); ?></td>
                                                <td><?php echo e($m->user->name); ?></td>
                                                <td><?php echo e(mascara_telefone($m->user->cell_phone)); ?><br><?php echo e(mascara_telefone($m->user->phone)); ?></td>
                                                <td><?php echo e($m->brand->name); ?></td>
                                                <td><?php echo e($m->fipe->model); ?></td>
                                                <td><?php echo e($m->year); ?></td>
                                                <td><?php echo e(number_format($m->price, 2, ',','.')); ?> / <?php echo e(number_format($m->fipe->price, 2, ',','.')); ?></td>
                                            </tr>
                                        <?php endforeach; ?>
                                        </tbody>
                                    </table>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="row tab-pane" role="tabpanel" id="denuncia">
                            <div class="col-xs-12">
                                <?php if(count($denuncia) < 1): ?>
                                    <p>Não há denúncias!</p>
                                <?php else: ?>
                                    <table class="table table-condensed table-hover">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>Publicação</th>
                                            <th>Tipo</th>
                                            <th>Anunciante</th>
                                            <th>Telefone</th>
                                            <th>Marca</th>
                                            <th>Modelo</th>
                                            <th>Ano</th>
                                            <th>Valor/Fipe</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php foreach($denuncia as $d): ?>
                                            <tr class="linha" onclick="location.href='<?php echo e(route('admin.moderar.anuncio', $d->id)); ?>'">
                                                <td><img src="<?php echo e(url('/uploads/gallery/' . $d->image)); ?>" width="50" height="38"></td>
                                                <td><?php echo e(date('d/m/Y H:i:s', strtotime($d->published_at))); ?></td>
                                                <td><?php echo e($d->user->type['name']); ?></td>
                                                <td><?php echo e($d->user->name); ?></td>
                                                <td><?php echo e(mascara_telefone($d->user->cell_phone)); ?><br><?php echo e(mascara_telefone($d->user->phone)); ?></td>
                                                <td><?php echo e($d->brand->name); ?></td>
                                                <td><?php echo e($d->fipe->model); ?></td>
                                                <td><?php echo e($d->year); ?></td>
                                                <td><?php echo e(number_format($d->price, 2, ',','.')); ?> / <?php echo e(number_format($d->fipe->price, 2, ',','.')); ?></td>
                                            </tr>
                                        <?php endforeach; ?>
                                        </tbody>
                                    </table>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>

        var anuncios = <?php echo e(count($moderar)); ?>;
        var denuncias = <?php echo e(count($denuncia)); ?>;

        window.onbeforeunload = function(event)
        {
            // Salvar a quantidade de novos anúncios e novas denúncias

            window.localStorage.setItem('anuncios', anuncios);
            window.localStorage.setItem('denuncias', denuncias);

            return undefined;

        };

        $(document).ready(function() {
            var old_anuncios = window.localStorage.getItem('anuncios');
            var old_denuncias = window.localStorage.getItem('denuncias');

            if(anuncios > old_anuncios) {
                $("#linkanuncios").css('background-color', '#ff9b8f');
            }

            if(denuncias > old_denuncias) {
                $("#linkdenuncias").css('background-color', '#ff9b8f');
            }

        });


        $('#tabDetalhes a').click(function (e) {
            e.preventDefault();
            $(this).tab('show')
        });

        $('.linha').css( 'cursor', 'pointer' );
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>