<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class DashboardControllerTest extends TestCase
{
    public function testAdminHome()
    {
        // $user = \App\Auth\Models\User::find(2);
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin')
            ->see('Olá')
            ->see('Atualizações')
            ->see('Período')
            ->see('Início')
            ->see('Anúncios')
            ->see('Relatórios')
            ->see('Tabela Fipe')
            ->see('Pesquisa')
            ->see('Sistema')
            ->see('Produtos')
            ->see('Vouchers')
            ->see('Avisos')
            ->see('Sair');
    }
    
    public function testAnunciosNovo()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/car/new')
            ->see('Cadastro de Anúncios');
    }

    public function testAnunciosPublicação()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/car/publish')
            ->see('Digite publicar para filtrar anúncios que estão em cadastro e despublicar para filtrar anúncios publicados');

    }

    public function testAnunciosModeracao()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/moderar')
            ->see('Denúncias')
            ->see('Anúncios Novos e Edições');
    }

    public function testRelatoriosConcessionarias()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/relatorio/Concessionarias')
            ->see('Nome da Concessionária');

    }

    public function testRelatoriosNegociosConcluidos()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/relatorio/Negociacoes')
            ->see('Ordenar');
    }

    public function testRelatoriosNovosAnuncios()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/relatorio/Anuncios')
            ->see('Relatório de Novos Anúncios');
    }

    public function testRelatoriosInstalacoes()
    {
    
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/relatorio/Instalacoes')
            ->see('Instalações')
            ->see('Resumo de Instalações');
    }

    public function testRelatoriosAvaliacoes()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/relatorio/Avaliacoes')
            ->see('Relatório de Avaliações:');
    }

    public function testRelatoriosLeads()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/relatorio/Leads')
            ->see('Relatório de Leads');
    }

    public function testTabelaFipeConfiguracoes()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/fipe/configuracoes')
            ->see('Tabela FIPE')
            ->see('Planilha FIPE')
            ->see('Limite da FIpe');
    }

    public function testTabelaFipeCadstrarModelo()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/fipe/modelos')
            ->see('Modelos');
    }

    public function testTabelaFipeVeiculosSemModelo()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/fipe/orfaos')
            ->see('Versões sem Modelo vinculado:');
    }

    public function testTabelaFipeCadstrarCarro()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/configuracoes/carro')
            ->see('Opcionais');
    }

    public function testPesquisarUsuarios()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/search/user')
            ->see('Tipo de Usuário')
            ->see('Pesquisar')
            ->see('Usuários');
    }

    public function testPesquisarLojas()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/search/store')
            ->see('Plano')
            ->see('Pesquisar')
            ->see('Lojas');
    }

    public function testSistemaUsuariosAdministrativos()
    {
        
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/configuracoes/usuarios')
            ->see('Usuários Administrativos')
            ->see('Nome:')
            ->see('E-mail:')
            ->see('Senha')
            ->see('Adicionar Usuário')
            ->see('Usuários cadastrados');
    }

    public function testSistemaGerenciamentoDeVersoes()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/config/versao')
            ->see('Histórico de versões')
            ->see('Nova')
            ->see('Data');
    }

    public function testSistemaMonitorDoChat()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/chat/monitor')
            ->see('Monitoramento do serviço de chat')
            ->see('Reiniciar o serviço de chat');
    }

    public function testSistemaRestricoes()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/config/blacklist')
            ->see('Restrição de aparelhos')
            ->see('Restrição de cpf/cnpj/número de telefone');
    }

    public function testProdutosVouchers()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/products/vouchers')
            ->see('Vouchers')
            ->see('Novo');

    }

    public function testProdutosAvisos()
    {
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/products/avisos')
            ->see('Avisos')
            ->see('Novo Aviso')
            ->see('Avisos Enviados:');

    }

}
