<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class ApiControllerMyAdsTest extends TestCase
{

    private $authorization;

    private $endpoint = '/api/my-ads';

    public function setUp()
    {
        parent::setUp();

        $this->authorization =  [
            'HTTP_Authorization' => 'Basic ' . base64_encode('a@a.com' . ':' . '123'),
            'PHP_AUTH_USER' => 'a@a.com',
            'PHP_AUTH_PW' => '123'
        ];

    }

    public function testNoUser()
    {

        $this->call('GET', $this->endpoint, [], [], [], $this->authorization);
        $this->seeJson(['success' => false]);
        $this->assertResponseStatus(400);

    }

    public function testUserNotAllowed()
    {
        $this->call('GET', route('api.my-ads', ['user_id' => 48, 'page' => 1]), [], [], [], $this->authorization);
        $this->seeJson(['success' => false, 'msg' => 'O usuário informado é diferente do usuário autorizado']);
        $this->assertResponseStatus(403);
    }

    public function testRequest()
    {

        $this->call('GET', route('api.my-ads', ['user_id' => 9, 'page' => 1]), [], [], [], $this->authorization);
        $this->seeJson(['success' => true]);
        $this->assertResponseStatus(200);

    }
}
