<?php

use App\Auth\Models\User;
use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class UserTest extends TestCase
{
    use DatabaseTransactions;

    protected $user;

    public function setUp()
    {
        parent::setUp(); // TODO: Change the autogenerated stub
       // $this->user = User::where('email', 'a@a.com')->first();

    }

    public function testClassLoad()
    {
        $user = User::where('role_id', 1)->first();
        $this->assertInstanceOf(User::class, $user);
    }

    public function testRole()
    {
        $user = User::where('email', 'a@a.com')->first();
        // $this->assertObjectHasAttribute('display_name', $user->role);
        $this->assertInstanceOf(\App\Admin\Role\Models\Role::class, $user->role);
    }

    public function testStatus()
    {
        $user = User::where('email', 'a@a.com')->first();
        $this->assertInstanceOf(\App\Auth\Models\UserStatus::class, $user->status);
    }

    public function testOrders()
    {
        $user = User::where('email', 'a@a.com')->first();
        $order = \App\Admin\Dashboard\Models\Order\Order::create([
            'user_id' => $user->id, 'total' => 0, 'subtotal' => 0, 'discount' => 0, 'transaction_code' => '0', 'status' => 0
        ]);
        $this->seeInDatabase('orders', ['id' => $order->id]);
        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->orders);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\Order\Order::class, $user->orders[0]);
    }

    public function testStores()
    {
        $user = User::where('email', 'a@a.com')->first();

        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->stores);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\Store\Store::class, $user->stores[0]);
    }


    public function testCalls()
    {
        $user = User::where('email', 'a@a.com')->first();

        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->calls);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\Call::class, $user->calls[0]);
    }

    public function testChats()
    {
        $user = User::where('email', 'a@a.com')->first();

        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->chats);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\Room::class, $user->chats[0]);
    }

    public function testMyStore()
    {
        $user = User::where('email', 'a@a.com')->first();

        // $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->calls);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\Store\Store::class, $user->myStore() );
    }

    public function testTransactions()
    {
        $user = User::where('email', 'a@a.com')->first();

        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->transactions);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\Transaction::class, $user->transactions[0]);
    }

    public function testTurbos()
    {
        $user = User::where('email', 'a@a.com')->first();

        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->turbos);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\HistoricCarTurbo::class, $user->turbos[0]);
    }

    public function testCarQueries()
    {
        $user = User::where('email', 'a@a.com')->first();

        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->carQueries);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\CarQuery\HistoricCarQuery::class, $user->carQueries[0]);
    }

    public function testFavorites()
    {
        $user = User::where('email', 'a@a.com')->first();

        $this->assertInstanceOf(\Illuminate\Database\Eloquent\Collection::class, $user->favorites);
        $this->assertInstanceOf(\App\Admin\Dashboard\Models\CarFavorite::class, $user->favorites[0]);
    }



}
