@extends('senha.template')

@section('title')
    - Recuperar Senha
    @endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>Recuperar Senha</h1>
                <p>Use este formulário para alterar sua senha, preencha os campos abaixo para continuar</p>
                <form class="form form-horizontal" method="POST" id="frmTrocaSenha">
                    <div class="form-group">
                        <label for="inputEmail" class="control-label col-xs-3">Email:</label>
                        <div class="col-xs-9">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <input type="hidden" name="inputToken" id="inputToken" value="{{$token}}">
                            <input type="email" name="inputEmail" id="inputEmail" class="form-control" value="{{$email}}">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputSenha" class="control-label col-xs-3">Nova Senha:</label>
                        <div class="col-xs-9">
                            <input type="password" name="inputSenha" id="inputSenha" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputSenhaNovamente" class="control-label col-xs-3">Digite Novamente:</label>
                        <div class="col-xs-9">
                            <input type="password" name="inputSenhaNovamente" id="inputSenhaNovamente" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-xs-6 col-xs-offset-3">
                            <button type="button" class="btn btn-primary form-control" id="btn-altera-senha">Alterar</button>
                        </div>

                    </div>


                </form>
            </div>
        </div>


    </div>
    <script>
        $(document).ready(function() {
            $("#btn-altera-senha").click(function() {
                var token = $("#inputToken").val();
                var email = $("#inputEmail").val();
                var senha = $("#inputSenha").val();
                var confirmaSenha = $("#inputSenhaNovamente").val();

                if (senha !== confirmaSenha) {
                    alert("Senhas não conferem!");
                    return false;
                }

                if ((email == '') || (senha == '') || (confirmaSenha == '') ) {
                    alert('Todos os campos são obrigatórios');
                }

                if (token == '') {
                    alert('Ocorreu uma falha ao acessar esta tela tente novamente');
                }


                $.ajax({
                    url: '/alterar-senha',
                    method: "POST",
                    data: {
                        "token": token,
                        "email": email,
                        "senha": senha
                    },
                    success: function(data) {
                        $("#frmTrocaSenha").trigger('reset');
                        alert('Senha alterada com sucesso!');
                    },
                    error: function(error) {
                        if (error.status === 403) {
                            alert('A sua requisição de troca de senha expirou, por favor solicite a recuperação de senha novamente.');
                        } else {

                            console.log(JSON.stringify(error));
                            alert('Falha ao executar esta função.');
                        }
                    }
                });

            });


        });
    </script>

@endsection