<?php $__env->startSection('content'); ?>
    <section id="dashboard-content">
        <div id="versoes" class="col-xs-12 section-content">
            <div class="row">
                <div class="col-xs-12">
                    <h2 class="page-subTitle">Histórico de versões</h2>
                </div>
            </div>
            <div class="row" >
                <div class="col-xs-12">
                    <p><button class="btn btn-primary" id="btnNewVersion">Nova</button></p>
                    <div  class="box-content">
                    <table class="table table-condensed table-hover">
                        <thead>
                        <tr>
                            <th>Data</th>
                            <th>Usuário</th>
                            <th>Código</th>
                            <th>Ações</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php if($versions->count() == 0): ?>
                            <p>Não há versões para exibir</p>
                        <?php else: ?>
                            <?php foreach($versions as $version): ?>
                                <?php
                                $class = ($version->current == 0) ? '' : 'active';
                                $btnAtivar = ($version->current == 0) ? '<i class="fa fa-2x fa-check-circle btnAtivar" data-id="' . $version->id . '"></i>' : '';
                                $btnExcluir = ($version->current == 0) ? '<i class="fa fa-2x fa-times-circle-o btnExcluir"  data-id="' . $version->id . '"></i>' : ''
                                ?>
                                <tr class="<?php echo e($class); ?>">
                                    <td><?php echo e($version->updated_at->format('d/m/Y h:i')); ?></td>
                                    <td><?php echo e($version->user->name); ?></td>
                                    <td><?php echo e($version->version); ?></td>
                                    <td><?php echo $btnAtivar; ?> <i class="fa fa-2x fa-pencil btnEditar" data-action="editar" data-id="<?php echo e($version->id); ?>"></i>  <?php echo $btnExcluir; ?> </td>
                                </tr>
                            <?php endforeach; ?>
                        <?php endif; ?>
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="modal fade" tabindex="-1" role="dialog" id="modalVersion">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Nova versão</h4>
                </div>
                <div class="modal-body">
                    <form class="form form-horizontal" action="#">
                        <div class="form-group">
                            <div class="col-sm-4 col-xs-12">
                                <input type="hidden" id="inputVersionId" value="">
                                <input type="text" name="version" id="inputVersion" class="form-control" placeholder="Código da versão">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-xs-12">
                                <div id="summernote">

                                </div>

                            </div>
                        </div>
                    </form>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary" id="btnSaveVersion">Salvar alterações</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(url('plugins/summernote/summernote.min.js')); ?>"></script>
    <script src="<?php echo e(url('plugins/summernote/lang/summernote-pt-BR.js')); ?>"></script>
    <script>
        $(document).ready(function() {
            $("#summernote").summernote({
                height: 300,
                lang: 'pt-BR'
            });
        });

        $("#btnNewVersion").click(function() {
            $("#modalVersion").on('show.bs.modal', function() {
                $("#inputVersionId").val('');
                $("#inputVersion").val('');
                $("#summernote").summernote('code', '');
            });

            $("#modalVersion").modal('show');
        });

        $("#btnSaveVersion").click(function() {
            $("#btnSaveVersion").attr('disabled', 'disabled');

            $.ajax({
                url: '<?php echo e(route('ajax.version.store')); ?>',
                method: 'POST',
                data: {
                    "_token": '<?php echo e(csrf_token()); ?>',
                    id: $("#inputVersionId").val(),
                    version: $("#inputVersion").val(),
                    info: $("#summernote").summernote('code')
                }
            }).done(function(data) {
                console.log(data);
                alert('Versão criada com sucesso');
                location.reload();
            }).error(function(data) {
                console.log(data);
                alert('Ocorreu um erro: ' + data.responseJSON.msg);
            });

            $("#btnSaveVersion").removeAttribute('disabled');
            $("#summernote").summernote('code', '');
            $("#modalVersion").modal('close');
        });

        $(".btnAtivar").click(function() {
            var id = $(this).data('id');
            if (confirm('Deseja realmente ativar esta versão?')) {
                $.ajax({
                    url: '<?php echo e(route('ajax.version.setcurrent')); ?>',
                    type: 'POST',
                    data: {
                        "_token": '<?php echo e(csrf_token()); ?>',
                        id: id
                    }
                }).done(function(data) {
                    alert('Versão ativada com sucesso!');
                    location.reload();
                }).fail(function(data) {
                    console.log(data);
                    alert('Ocorreu um erro: ' + data.responseJSON.msg);
                });
            } else {
                return false;
            }
        });

        $(".btnEditar").click(function() {
            var id = $(this).data('id');
            $.ajax({
                url: '<?php echo e(route('ajax.version.getversion')); ?>',
                type: 'POST',
                data: {
                    "_token": '<?php echo e(csrf_token()); ?>',
                    id: id
                }
            }).done(function(data) {
                var dados = data.data;
                $("#modalVersion").on('show.bs.modal', function() {
                    console.log(dados);
                    $("#inputVersionId").val(dados.id);
                    $("#inputVersion").val(dados.version);
                    $("#summernote").summernote('code', dados.info);
                });
                $("#modalVersion").modal('show');
            }).fail(function(data) {
                alert('ops ocorreu um erro');
            });
        });

        $(".btnExcluir").click(function() {
            var id = $(this).data('id');
            if(confirm('Deseja excluir essa versão? A ação é irreversível.')) {
                $.ajax({
                    url: '<?php echo e(route('ajax.version.remove')); ?>',
                    type: 'POST',
                    data: {
                        "_token": '<?php echo e(csrf_token()); ?>',
                        id: id
                    }
                }).done(function() {
                    alert('Removido com sucesso!');
                    location.reload();
                }).fail(function() {
                    alert('Ops ocorreu um erro.');
                })
            } else {
                return false;
            }
        });
    </script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(url('plugins/summernote/summernote.css')); ?>">
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>