<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 25/05/2020
 * Time: 22:47
 */


use App\Auth\Models\User;
use Illuminate\Foundation\Testing\DatabaseTransactions;


class AdminOrderControllerTest extends TestCase
{
    use DatabaseTransactions;

    public function testCortesiaOk()
    {
        $this->expectsJobs([\App\Core\Jobs\NewCarJob::class]);

        $user = User::where('role_id',1)->first();
        $this->withoutMiddleware();
        $car = \App\Admin\Dashboard\Models\Car::find(1740);
        $car->car_status_id = 1;
        $car->save();

        $this->actingAs($user);
        $response = $this->post('/admin/products/order/new', [
            'product_id' => 1,
            'car_id' => 1740
        ]);
        // dd($this->response->getContent());
        $this->seeJson(['success' => true])->assertResponseStatus(201);

    }

    public function testCortesiaAnuncioFechado()
    {
        $user = User::where('role_id',1)->first();
        $this->withoutMiddleware();
        $car = \App\Admin\Dashboard\Models\Car::find(1740);
        $car->car_status_id = 8;
        $car->save();

        $this->actingAs($user);
        $this->post('/admin/products/order/new', [
            'product_id' => 1,
            'car_id' => 1740
        ]);

        $this->seeJson(['error' => ' anúncio não está aberto '])->assertResponseStatus(400);
    }

}