<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 25/02/2020
 * Time: 15:08
 */

namespace App\Admin\Dashboard\Http\Controllers;




use App\Admin\Dashboard\Models\Voucher\Voucher;
use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;
use TestCase;

class VoucherControllerTest extends TestCase
{
    use DatabaseTransactions;

    public function testDashboardCreateVoucher()
    {
        $this->withoutMiddleware();
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/products/vouchers')
            ->see('Vouchers')
            ->select('1', 'product_id')
            ->press('Enviar');
        $this->assertResponseOk();

    }

    public function testDashboardEditVoucher()
    {
        // create voucher
        $voucher = Voucher::create([
            'code' => 'MKC1470',
            'product_id' => 1,
            'status' => 1
        ]);

        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/products/vouchers/' . $voucher->id . '/edit')
            ->see('Editar Voucher')
            ->select('5', 'product_id')
            ->press('Salvar')
            ->assertResponseOk()
            ->seeInDatabase('vouchers', ['id' => $voucher->id, 'product_id' => 5]);
    }

    public function testDashboardDeleteVoucher()
    {
        $voucher = Voucher::create([
            'code' => 'MzKC1470',
            'product_id' => 1,
            'status' => 1
        ]);

        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/products/vouchers/' . $voucher->id . '/edit')
            ->click('Excluir')
            ->assertResponseOk()
            ->dontSeeInDatabase('vouchers', ['id' => $voucher->id]);


    }

}