<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class ApiControllerPurchaseTest extends TestCase
{
    public function testPurchaseBadRequest()
    {
        $user = \App\Auth\Models\User::where('email', 'a@a.com')->first();

        $this->withoutMiddleware();
        $this->actingAs($user)
            ->post('/api/purchase')
            ->seeJson(['success' => false])
            ->assertResponseStatus(400);

    }

    public function testPurchaseHappyPath()
    {
        $user = \App\Auth\Models\User::where('email', 'a@a.com')->first();

        $this->withoutMiddleware();
        $this->actingAs($user)
            ->post('/api/purchase', ['page' => 1, 'last_request' => '2019-01-01 00:01:01'])
            ->seeJson(['success' => true])
            ->assertResponseOk();
    }

}
