<?php


use App\Core\Jobs\NewContactPodioJob;

class ApiOpenControllerTest extends TestCase
{
    use \Illuminate\Foundation\Testing\DatabaseTransactions;

    public function testOpenOfertas()
    {
        $this->post('/api/open/ofertas', ['page' => 1, 'size' => 10])
            ->seeJson(['success' => true])
            ->assertResponseOk();
    }

    public function testBadRequestOfertas()
    {
        $this->post('/api/open/ofertas', ['page' => 1, 'size' => 25])
            ->seeJson(['success' => false])
            ->assertResponseStatus(400);

    }

    public function testOpenPodioContato()
    {
        $data = [
            'nome' => 'dasd',
            'sobrenome' => 'adsasd',
            'ddd' => 'sadas',
            'celular' => 'asdasd',
            'email' => 'xppt@email.com',
            'estado' => 'reqasdasuired',
            'cidade' => 'reqasduired',
            'profissional' => 'Lojista'
        ];

        $this->expectsJobs(NewContactPodioJob::class);
        $this->post('/api/contact', $data)
            ->seeJson(['success' => true, 'msg' => 'Contato enviado com sucesso!'])
            ->assertResponseOk();

    }
}
