<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 09/03/2020
 * Time: 10:17
 */

namespace App\Repasse\UserControl;

use App\Admin\Dashboard\Models\CarTurbo;
use App\Admin\Dashboard\Models\Store\Store;
use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;
use TestCase;


class UserStatsTest extends TestCase
{
    use DatabaseTransactions;

    public function testGetStatusData()
    {
        //
        $store = new Store();
        $carTurbo = new CarTurbo();
        $userStats = new UserStats($store, $carTurbo);

        $stats = $userStats->getStats(4);

        $this->assertArrayHasKey('anuncios', $stats);
        $this->assertArrayHasKey('negociacoes', $stats);
        $this->assertArrayHasKey('turbos', $stats);
        $this->assertArrayHasKey('vendas', $stats);
        $this->assertArrayHasKey('staff', $stats);

        $second = $userStats->getStats('4', ['start' => '2019-01-01 00:00:00', 'end' => '2019-01-31 23:59:59']);
        $this->assertArrayHasKey('anuncios', $second);
        $this->assertArrayHasKey('negociacoes', $second);
        $this->assertArrayHasKey('turbos', $second);
        $this->assertArrayHasKey('vendas', $second);
        $this->assertArrayHasKey('staff', $second);

    }



}